#include <math.h>

inline void getBendingAndTwistEnergyGradient(
  double bendingStiffness,
  double twistStiffness,
  double liReference,
  double *kappaOriginal,
  double referenceTwist,
  double *normalReferenceOriginal1,
  double *tangentReferenceOriginal1,
  double *normalReferenceOriginal2,
  double *tangentReferenceOriginal2,
  double referenceFrameTwist,
  double *x1,
  double *x2,
  double *x3,
  double theta1,
  double theta2,
  double *energyGradienti)
{
  double t1;
  double t10;
  double t1030;
  double t1049;
  double t1054;
  double t1066;
  double t107;
  double t1079;
  double t108;
  double t109;
  double t1091;
  double t1094;
  double t11;
  double t1105;
  double t1116;
  double t112;
  double t1132;
  double t1133;
  double t1134;
  double t1135;
  double t1138;
  double t1141;
  double t1144;
  double t1152;
  double t1153;
  double t1156;
  double t1159;
  double t1162;
  double t1165;
  double t1168;
  double t1174;
  double t1180;
  double t1188;
  double t1191;
  double t1196;
  double t1198;
  double t12;
  double t120;
  double t1208;
  double t1211;
  double t1221;
  double t1234;
  double t124;
  double t1240;
  double t1246;
  double t1249;
  double t1268;
  double t127;
  double t1281;
  double t1282;
  double t1289;
  double t13;
  double t1308;
  double t1321;
  double t1322;
  double t134;
  double t135;
  double t1351;
  double t1389;
  double t14;
  double t1408;
  double t1413;
  double t1425;
  double t143;
  double t1438;
  double t1450;
  double t1453;
  double t1464;
  double t147;
  double t1475;
  double t1492;
  double t1493;
  double t1497;
  double t1498;
  double t15;
  double t150;
  double t1500;
  double t1501;
  double t1505;
  double t1506;
  double t1509;
  double t1510;
  double t1513;
  double t1516;
  double t1517;
  double t1520;
  double t1532;
  double t1533;
  double t1536;
  double t1539;
  double t1542;
  double t1545;
  double t1548;
  double t1554;
  double t1560;
  double t1568;
  double t157;
  double t1571;
  double t1576;
  double t1578;
  double t158;
  double t1588;
  double t1591;
  double t1596;
  double t16;
  double t1601;
  double t1605;
  double t1612;
  double t1614;
  double t1620;
  double t1626;
  double t1629;
  double t163;
  double t1648;
  double t166;
  double t1666;
  double t1667;
  double t1668;
  double t167;
  double t1675;
  double t169;
  double t1694;
  double t17;
  double t170;
  double t1712;
  double t1713;
  double t1714;
  double t172;
  double t173;
  double t1733;
  double t1736;
  double t1737;
  double t1740;
  double t1741;
  double t1742;
  double t1745;
  double t1746;
  double t1749;
  double t175;
  double t1755;
  double t176;
  double t1761;
  double t1762;
  double t1770;
  double t1771;
  double t1774;
  double t1776;
  double t1778;
  double t1782;
  double t1784;
  double t1788;
  double t1796;
  double t1799;
  double t18;
  double t1809;
  double t1812;
  double t1817;
  double t182;
  double t1824;
  double t1830;
  double t1835;
  double t1838;
  double t184;
  double t1845;
  double t1852;
  double t1858;
  double t186;
  double t1872;
  double t1875;
  double t188;
  double t1887;
  double t189;
  double t1894;
  double t1895;
  double t19;
  double t1909;
  double t1919;
  double t196;
  double t1963;
  double t198;
  double t1983;
  double t1988;
  double t199;
  double t1990;
  double t2;
  double t200;
  double t2003;
  double t2006;
  double t201;
  double t2019;
  double t2024;
  double t2028;
  double t203;
  double t2040;
  double t2046;
  double t2047;
  double t205;
  double t2054;
  double t2067;
  double t2074;
  double t2087;
  double t21;
  double t210;
  double t2107;
  double t2108;
  double t211;
  double t2112;
  double t2113;
  double t2116;
  double t2119;
  double t2122;
  double t2125;
  double t2128;
  double t213;
  double t2140;
  double t2141;
  double t2144;
  double t2147;
  double t215;
  double t2150;
  double t2153;
  double t2156;
  double t2162;
  double t2168;
  double t217;
  double t2176;
  double t2179;
  double t2184;
  double t2186;
  double t2196;
  double t2199;
  double t22;
  double t220;
  double t2209;
  double t2222;
  double t2228;
  double t2234;
  double t2237;
  double t2256;
  double t2273;
  double t2274;
  double t228;
  double t2281;
  double t229;
  double t23;
  double t230;
  double t2300;
  double t2317;
  double t2318;
  double t233;
  double t2337;
  double t2340;
  double t2343;
  double t2346;
  double t2349;
  double t2355;
  double t2361;
  double t2369;
  double t2372;
  double t2377;
  double t2379;
  double t2389;
  double t2392;
  double t24;
  double t2402;
  double t2405;
  double t241;
  double t2415;
  double t2421;
  double t2426;
  double t2429;
  double t2441;
  double t2447;
  double t245;
  double t2462;
  double t2474;
  double t248;
  double t2480;
  double t2498;
  double t25;
  double t2504;
  double t2548;
  double t2568;
  double t2573;
  double t2575;
  double t258;
  double t2588;
  double t2591;
  double t26;
  double t2604;
  double t2609;
  double t262;
  double t2623;
  double t2628;
  double t2646;
  double t265;
  double t2664;
  double t2684;
  double t2685;
  double t2689;
  double t2690;
  double t2693;
  double t2696;
  double t2699;
  double t27;
  double t2702;
  double t2705;
  double t2717;
  double t2718;
  double t272;
  double t2721;
  double t2724;
  double t2727;
  double t2730;
  double t2733;
  double t2739;
  double t2745;
  double t2753;
  double t2756;
  double t276;
  double t2761;
  double t2763;
  double t277;
  double t2773;
  double t2776;
  double t278;
  double t2786;
  double t279;
  double t2799;
  double t28;
  double t2805;
  double t281;
  double t2811;
  double t2814;
  double t282;
  double t283;
  double t2833;
  double t284;
  double t285;
  double t2850;
  double t2851;
  double t2858;
  double t286;
  double t2877;
  double t289;
  double t2894;
  double t2895;
  double t29;
  double t291;
  double t2914;
  double t2917;
  double t292;
  double t2920;
  double t2923;
  double t2926;
  double t293;
  double t2932;
  double t2938;
  double t2946;
  double t2949;
  double t2954;
  double t2956;
  double t296;
  double t2966;
  double t2969;
  double t297;
  double t2979;
  double t2982;
  double t2992;
  double t2998;
  double t3;
  double t30;
  double t300;
  double t3003;
  double t3006;
  double t3018;
  double t3024;
  double t3039;
  double t3051;
  double t3057;
  double t3079;
  double t308;
  double t309;
  double t31;
  double t312;
  double t3123;
  double t3143;
  double t3148;
  double t315;
  double t3150;
  double t316;
  double t3163;
  double t3166;
  double t3179;
  double t3184;
  double t319;
  double t3198;
  double t32;
  double t320;
  double t3203;
  double t321;
  double t3221;
  double t3239;
  double t324;
  double t325;
  double t3259;
  double t3260;
  double t3263;
  double t3266;
  double t3269;
  double t3277;
  double t3278;
  double t328;
  double t3288;
  double t3289;
  double t3299;
  double t33;
  double t3300;
  double t3308;
  double t3311;
  double t3314;
  double t3317;
  double t3320;
  double t3326;
  double t3332;
  double t334;
  double t3340;
  double t3343;
  double t3348;
  double t3350;
  double t3360;
  double t3363;
  double t3373;
  double t3376;
  double t3386;
  double t3392;
  double t3397;
  double t34;
  double t340;
  double t3400;
  double t341;
  double t3412;
  double t3418;
  double t3433;
  double t3445;
  double t3451;
  double t3473;
  double t349;
  double t350;
  double t3511;
  double t3525;
  double t353;
  double t3530;
  double t3532;
  double t3542;
  double t3545;
  double t355;
  double t3555;
  double t3560;
  double t357;
  double t3574;
  double t3579;
  double t3597;
  double t36;
  double t361;
  double t3615;
  double t363;
  double t3635;
  double t3636;
  double t3639;
  double t3642;
  double t3645;
  double t3653;
  double t3654;
  double t3664;
  double t3665;
  double t367;
  double t3675;
  double t3676;
  double t3684;
  double t3687;
  double t3690;
  double t3693;
  double t3696;
  double t37;
  double t3702;
  double t3708;
  double t3716;
  double t3719;
  double t372;
  double t3724;
  double t3726;
  double t3736;
  double t3739;
  double t3749;
  double t375;
  double t3752;
  double t3762;
  double t3768;
  double t3773;
  double t3776;
  double t378;
  double t3788;
  double t3794;
  double t38;
  double t3809;
  double t382;
  double t3821;
  double t3827;
  double t3849;
  double t388;
  double t3887;
  double t39;
  double t390;
  double t3901;
  double t3906;
  double t3908;
  double t3918;
  double t3921;
  double t3931;
  double t3936;
  double t3950;
  double t3955;
  double t396;
  double t3964;
  double t3973;
  double t3991;
  double t4;
  double t4011;
  double t4012;
  double t4015;
  double t4018;
  double t4021;
  double t4029;
  double t403;
  double t4030;
  double t4040;
  double t4041;
  double t4051;
  double t4052;
  double t4060;
  double t4063;
  double t4066;
  double t4069;
  double t4072;
  double t4078;
  double t4084;
  double t409;
  double t4092;
  double t4095;
  double t41;
  double t4100;
  double t4102;
  double t4112;
  double t4115;
  double t4125;
  double t4128;
  double t4138;
  double t4144;
  double t4149;
  double t415;
  double t4152;
  double t4164;
  double t4170;
  double t418;
  double t4185;
  double t4197;
  double t4203;
  double t4225;
  double t425;
  double t4263;
  double t4277;
  double t4282;
  double t4284;
  double t4294;
  double t4297;
  double t43;
  double t430;
  double t4307;
  double t4312;
  double t4326;
  double t4331;
  double t4349;
  double t4367;
  double t4388;
  double t439;
  double t4391;
  double t4398;
  double t44;
  double t4410;
  double t4438;
  double t4442;
  double t4445;
  double t445;
  double t4452;
  double t4464;
  double t449;
  double t45;
  double t452;
  double t455;
  double t456;
  double t46;
  double t462;
  double t465;
  double t47;
  double t477;
  double t48;
  double t485;
  double t486;
  double t488;
  double t49;
  double t492;
  double t499;
  double t5;
  double t502;
  double t503;
  double t508;
  double t509;
  double t51;
  double t52;
  double t525;
  double t534;
  double t54;
  double t542;
  double t547;
  double t549;
  double t55;
  double t553;
  double t572;
  double t579;
  double t586;
  double t587;
  double t590;
  double t593;
  double t594;
  double t597;
  double t6;
  double t601;
  double t602;
  double t604;
  double t605;
  double t606;
  double t61;
  double t611;
  double t612;
  double t618;
  double t63;
  double t630;
  double t631;
  double t634;
  double t645;
  double t65;
  double t656;
  double t658;
  double t662;
  double t663;
  double t67;
  double t679;
  double t68;
  double t681;
  double t685;
  double t693;
  double t697;
  double t704;
  double t710;
  double t715;
  double t722;
  double t725;
  double t736;
  double t747;
  double t75;
  double t750;
  double t752;
  double t753;
  double t754;
  double t757;
  double t764;
  double t77;
  double t771;
  double t772;
  double t773;
  double t774;
  double t777;
  double t78;
  double t780;
  double t783;
  double t79;
  double t791;
  double t792;
  double t795;
  double t798;
  double t8;
  double t80;
  double t801;
  double t804;
  double t807;
  double t813;
  double t819;
  double t82;
  double t827;
  double t830;
  double t835;
  double t837;
  double t84;
  double t847;
  double t850;
  double t860;
  double t873;
  double t879;
  double t885;
  double t888;
  double t89;
  double t9;
  double t90;
  double t907;
  double t92;
  double t920;
  double t921;
  double t928;
  double t94;
  double t947;
  double t950;
  double t96;
  double t960;
  double t961;
  double t971;
  double t99;
  double t992;
  t1 = x2[0];
  t4 = x1[0];
  t2 = t1 - 0.1e1 * t4;
  t3 = t2 * t2;
  t14 = x2[1];
  t17 = x1[1];
  t5 = t14 - 0.1e1 * t17;
  t6 = t5 * t5;
  t27 = x2[2];
  t31 = x1[2];
  t8 = t27 - 0.1e1 * t31;
  t9 = t8 * t8;
  t10 = t3 + t6 + t9;
  t11 = sqrt(t10);
  t12 = 0.1e1 / t11;
  t13 = t12 * t2;
  t39 = x3[0];
  t15 = t39 - 0.1e1 * t1;
  t16 = t15 * t15;
  t41 = x3[1];
  t18 = t41 - 0.1e1 * t14;
  t19 = t18 * t18;
  t47 = x3[2];
  t21 = t47 - 0.1e1 * t27;
  t22 = t21 * t21;
  t23 = t16 + t19 + t22;
  t24 = sqrt(t23);
  t25 = 0.1e1 / t24;
  t26 = t25 * t15;
  t28 = 0.1e1 * t13 * t26;
  t29 = t12 * t5;
  t30 = t25 * t18;
  t32 = 0.1e1 * t29 * t30;
  t33 = t12 * t8;
  t34 = t25 * t21;
  t36 = 0.1e1 * t33 * t34;
  t37 = 0.1e1 + t28 + t32 + t36;
  t38 = 0.1e1 / t37;
  t43 = 0.1e1 * t29 * t34 - 0.1e1 * t33 * t30;
  t44 = t38 * t43;
  t45 = cos(theta1);
  t63 = tangentReferenceOriginal1[0];
  t46 = t63 * t12;
  t48 = 0.1e1 * t46 * t2;
  t65 = tangentReferenceOriginal1[1];
  t49 = t65 * t12;
  t51 = 0.1e1 * t49 * t5;
  t68 = tangentReferenceOriginal1[2];
  t52 = t68 * t12;
  t54 = 0.1e1 * t52 * t8;
  t55 = t48 + t51 + t54;
  t61 = 0.1e1 * t49 * t8 - 0.1e1 * t52 * t5;
  t67 = -0.1e1 * t46 * t8 + 0.1e1 * t52 * t2;
  t75 = 0.1e1 * t46 * t5 - 0.1e1 * t49 * t2;
  t90 = normalReferenceOriginal1[0];
  t92 = normalReferenceOriginal1[1];
  t94 = normalReferenceOriginal1[2];
  t77 = t61 * t90 + t67 * t92 + t75 * t94;
  t78 = 0.1e1 + t48 + t51 + t54;
  t79 = 0.1e1 / t78;
  t80 = t77 * t79;
  t82 = t55 * t94 + t61 * t92 - t67 * t90 + t75 * t80;
  t84 = sin(theta1);
  t89 = t55 * t92 - t61 * t94 + t67 * t80 + t75 * t90;
  t96 = t55 * t90 + t61 * t80 + t67 * t94 - t75 * t92;
  t99 = 0.1e1 * t13 * t89 - 0.1e1 * t29 * t96;
  t107 = 0.1e1 * t13 * t96 + 0.1e1 * t29 * t89 + 0.1e1 * t33 * t82;
  t108 = 0.1e1 - t45;
  t109 = t107 * t108;
  t112 = t45 * t82 + t84 * t99 + 0.1e1 * t109 * t33;
  t120 = -0.1e1 * t82 * t13 + 0.1e1 * t33 * t96;
  t124 = t45 * t89 + t84 * t120 + 0.1e1 * t109 * t29;
  t127 = 0.1e1 * t112 * t29 - 0.1e1 * t33 * t124;
  t134 = -0.1e1 * t13 * t34 + 0.1e1 * t33 * t26;
  t135 = t38 * t134;
  t143 = 0.1e1 * t29 * t82 - 0.1e1 * t33 * t89;
  t147 = t45 * t96 + t84 * t143 + 0.1e1 * t109 * t13;
  t150 = -0.1e1 * t13 * t112 + 0.1e1 * t33 * t147;
  t157 = 0.1e1 * t13 * t30 - 0.1e1 * t29 * t26;
  t158 = t38 * t157;
  t163 = 0.1e1 * t13 * t124 - 0.1e1 * t29 * t147;
  t166 = cos(theta2);
  t184 = tangentReferenceOriginal2[0];
  t167 = t184 * t25;
  t169 = 0.1e1 * t167 * t15;
  t186 = tangentReferenceOriginal2[1];
  t170 = t186 * t25;
  t172 = 0.1e1 * t170 * t18;
  t189 = tangentReferenceOriginal2[2];
  t173 = t189 * t25;
  t175 = 0.1e1 * t173 * t21;
  t176 = t169 + t172 + t175;
  t182 = 0.1e1 * t170 * t21 - 0.1e1 * t173 * t18;
  t188 = -0.1e1 * t167 * t21 + 0.1e1 * t173 * t15;
  t196 = 0.1e1 * t167 * t18 - 0.1e1 * t170 * t15;
  t211 = normalReferenceOriginal2[0];
  t213 = normalReferenceOriginal2[1];
  t215 = normalReferenceOriginal2[2];
  t198 = t182 * t211 + t188 * t213 + t196 * t215;
  t199 = 0.1e1 + t169 + t172 + t175;
  t200 = 0.1e1 / t199;
  t201 = t198 * t200;
  t203 = t176 * t215 + t182 * t213 - t188 * t211 + t196 * t201;
  t205 = sin(theta2);
  t210 = t176 * t213 - t182 * t215 + t188 * t201 + t196 * t211;
  t217 = t176 * t211 + t182 * t201 + t188 * t215 - t196 * t213;
  t220 = 0.1e1 * t26 * t210 - 0.1e1 * t30 * t217;
  t228 = 0.1e1 * t26 * t217 + 0.1e1 * t30 * t210 + 0.1e1 * t34 * t203;
  t229 = 0.1e1 - t166;
  t230 = t228 * t229;
  t233 = t166 * t203 + t205 * t220 + 0.1e1 * t230 * t34;
  t241 = -0.1e1 * t26 * t203 + 0.1e1 * t34 * t217;
  t245 = t166 * t210 + t205 * t241 + 0.1e1 * t230 * t30;
  t248 = 0.1e1 * t30 * t233 - 0.1e1 * t34 * t245;
  t258 = 0.1e1 * t30 * t203 - 0.1e1 * t34 * t210;
  t262 = t166 * t217 + t205 * t258 + 0.1e1 * t230 * t26;
  t265 = -0.1e1 * t26 * t233 + 0.1e1 * t34 * t262;
  t272 = 0.1e1 * t26 * t245 - 0.1e1 * t30 * t262;
  t276 = 0.1000000000e1 * t44 * t127 + 0.1000000000e1 * t135 * t150 + 0.1000000000e1 * t158 * t163 + 0.1000000000e1 * t44 * t248 + 0.1000000000e1 * t135 * t265 + 0.1000000000e1 * t158 * t272 - 0.1e1 * kappaOriginal[0];
  t277 = t37 * t37;
  t278 = 0.1e1 / t277;
  t279 = t278 * t43;
  t281 = t12 / t10;
  t282 = t281 * t2;
  t283 = 0.2e1 * t1;
  t284 = 0.2e1 * t4;
  t285 = -t283 + t284;
  t286 = t26 * t285;
  t289 = t12 * t25;
  t291 = 0.1e1 * t15 * t289;
  t292 = t281 * t5;
  t293 = t30 * t285;
  t296 = t281 * t8;
  t297 = t34 * t285;
  t300 = -0.5000000000e0 * t282 * t286 - t291 - 0.5000000000e0 * t292 * t293 - 0.5000000000e0 * t296 * t297;
  t308 = -0.5000000000e0 * t292 * t297 + 0.5000000000e0 * t296 * t293;
  t309 = t38 * t308;
  t312 = t112 * t285;
  t315 = t63 * t281;
  t316 = t285 * t2;
  t319 = 0.1e1 * t46;
  t320 = t65 * t281;
  t321 = t5 * t285;
  t324 = t68 * t281;
  t325 = t8 * t285;
  t328 = -0.5000000000e0 * t315 * t316 - t319 - 0.5000000000e0 * t320 * t321 - 0.5000000000e0 * t324 * t325;
  t334 = -0.5000000000e0 * t320 * t325 + 0.5000000000e0 * t321 * t324;
  t340 = 0.1e1 * t52;
  t341 = 0.5000000000e0 * t315 * t325 - 0.5000000000e0 * t324 * t316 - t340;
  t349 = 0.1e1 * t49;
  t350 = -0.5000000000e0 * t315 * t321 + 0.5000000000e0 * t320 * t316 + t349;
  t353 = (t334 * t90 + t341 * t92 + t350 * t94) * t79;
  t355 = t78 * t78;
  t357 = t77 / t355;
  t372 = t357 * t75;
  t361 = -t328 * t372 + t328 * t94 + t334 * t92 - t341 * t90 + t350 * t80 + t353 * t75;
  t363 = t89 * t285;
  t367 = 0.1e1 * t12 * t89;
  t382 = t357 * t67;
  t375 = -t328 * t382 + t328 * t92 - t334 * t94 + t341 * t80 + t350 * t90 + t353 * t67;
  t378 = t96 * t285;
  t390 = t357 * t61;
  t388 = -t328 * t390 + t328 * t90 + t334 * t80 + t341 * t94 - t350 * t92 + t353 * t61;
  t396 = 0.1e1 * t12 * t96;
  t403 = t82 * t285;
  t409 = (-0.5000000000e0 * t282 * t378 - t396 + 0.1e1 * t13 * t388 - 0.5000000000e0 * t292 * t363 + 0.1e1 * t29 * t375 - 0.5000000000e0 * t296 * t403 + 0.1e1 * t33 * t361) * t108;
  t430 = t109 * t296;
  t415 = t45 * t361 + t84 * (-0.5000000000e0 * t282 * t363 - t367 + 0.1e1 * t13 * t375 + 0.5000000000e0 * t292 * t378 - 0.1e1 * t29 * t388) + 0.1e1 * t409 * t33 - 0.5000000000e0 * t430 * t285;
  t418 = t124 * t285;
  t425 = 0.1e1 * t82 * t12;
  t449 = t109 * t292;
  t439 = t45 * t375 + t84 * (0.5000000000e0 * t282 * t403 + t425 - 0.1e1 * t13 * t361 - 0.5000000000e0 * t296 * t378 + 0.1e1 * t33 * t388) + 0.1e1 * t409 * t29 - 0.5000000000e0 * t449 * t285;
  t445 = t278 * t134;
  t452 = 0.1e1 * t289 * t21;
  t455 = 0.5000000000e0 * t282 * t297 + t452 - 0.5000000000e0 * t296 * t286;
  t456 = t38 * t455;
  t462 = 0.1e1 * t12 * t112;
  t465 = t147 * t285;
  t485 = 0.1e1 * t109 * t12;
  t477 = t109 * t282;
  t486 = t45 * t388 + t84 * (-0.5000000000e0 * t292 * t403 + 0.1e1 * t29 * t361 + 0.5000000000e0 * t296 * t363 - 0.1e1 * t33 * t375) + 0.1e1 * t409 * t13 - 0.5000000000e0 * t477 * t285 - t485;
  t492 = t278 * t157;
  t499 = 0.1e1 * t289 * t18;
  t502 = -0.5000000000e0 * t282 * t293 - t499 + 0.5000000000e0 * t292 * t286;
  t503 = t38 * t502;
  t509 = 0.1e1 * t12 * t124;
  t488 = t279 * t127;
  t508 = t445 * t150;
  t525 = t492 * t163;
  t542 = t279 * t248;
  t547 = t445 * t265;
  t553 = t492 * t272;
  t534 = -0.1000000000e1 * t488 * t300 + 0.1000000000e1 * t309 * t127 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t292 * t312 + 0.1e1 * t29 * t415 + 0.5000000000e0 * t296 * t418 - 0.1e1 * t33 * t439) - 0.1000000000e1 * t508 * t300 + 0.1000000000e1 * t456 * t150 + 0.1000000000e1 * t135 * (0.5000000000e0 * t282 * t312 + t462 - 0.1e1 * t13 * t415 - 0.5000000000e0 * t296 * t465 + 0.1e1 * t33 * t486) - 0.1000000000e1 * t525 * t300 + 0.1000000000e1 * t503 * t163 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t282 * t418 - t509 + 0.1e1 * t13 * t439 + 0.5000000000e0 * t292 * t465 - 0.1e1 * t29 * t486) - 0.1000000000e1 * t542 * t300 + 0.1000000000e1 * t309 * t248 - 0.1000000000e1 * t547 * t300 + 0.1000000000e1 * t456 * t265 - 0.1000000000e1 * t553 * t300 + 0.1000000000e1 * t503 * t272;
  t549 = -0.1000000000e1 * t44 * t147 - 0.1000000000e1 * t135 * t124 - 0.1000000000e1 * t112 * t158 - 0.1000000000e1 * t44 * t262 - 0.1000000000e1 * t135 * t245 - 0.1000000000e1 * t158 * t233 - 0.1e1 * kappaOriginal[1];
  t572 = t279 * t147;
  t579 = t445 * t124;
  t587 = t492 * t112;
  t597 = t279 * t262;
  t605 = t445 * t245;
  t612 = t492 * t233;
  t586 = 0.1000000000e1 * t572 * t300 - 0.1000000000e1 * t309 * t147 - 0.1000000000e1 * t44 * t486 + 0.1000000000e1 * t579 * t300 - 0.1000000000e1 * t456 * t124 - 0.1000000000e1 * t135 * t439 + 0.1000000000e1 * t587 * t300 - 0.1000000000e1 * t503 * t112 - 0.1000000000e1 * t158 * t415 + 0.1000000000e1 * t597 * t300 - 0.1000000000e1 * t309 * t262 + 0.1000000000e1 * t605 * t300 - 0.1000000000e1 * t456 * t245 + 0.1000000000e1 * t612 * t300 - 0.1000000000e1 * t503 * t233;
  t590 = 0.1e1 / liReference;
  t593 = cos(referenceFrameTwist);
  t594 = t28 + t32 + t36;
  t601 = t134 * t89 + t157 * t82 + t43 * t96;
  t602 = t601 * t38;
  t604 = t134 * t82 - t157 * t89 + t43 * t602 + t594 * t96;
  t606 = sin(referenceFrameTwist);
  t611 = -t134 * t96 + t157 * t602 + t43 * t89 + t594 * t82;
  t618 = t134 * t602 + t157 * t96 - t43 * t82 + t594 * t89;
  t630 = 0.1e1 - t593;
  t631 = (0.1e1 * t26 * t604 + 0.1e1 * t30 * t618 + 0.1e1 * t34 * t611) * t630;
  t634 = t593 * t604 + t606 * (0.1e1 * t30 * t611 - 0.1e1 * t34 * t618) + 0.1e1 * t631 * t26;
  t645 = t593 * t618 + t606 * (-0.1e1 * t26 * t611 + 0.1e1 * t34 * t604) + 0.1e1 * t631 * t30;
  t656 = t593 * t611 + t606 * (0.1e1 * t26 * t618 - 0.1e1 * t30 * t604) + 0.1e1 * t631 * t34;
  t658 = t220 * t656 + t241 * t645 + t634 * t258;
  t662 = t203 * t656 + t210 * t645 + t217 * t634;
  t663 = atan2(t658, t662);
  t679 = (t134 * t375 + t157 * t361 + t308 * t96 + t388 * t43 + t455 * t89 + t502 * t82) * t38;
  t681 = t601 * t278;
  t693 = t681 * t43;
  t685 = t134 * t361 - t157 * t375 - t300 * t693 + t300 * t96 + t308 * t602 + t388 * t594 + t43 * t679 + t455 * t82 - t502 * t89;
  t704 = t681 * t157;
  t697 = -t134 * t388 + t157 * t679 - t300 * t704 + t300 * t82 + t308 * t89 + t361 * t594 + t375 * t43 - t455 * t96 + t502 * t602;
  t715 = t681 * t134;
  t710 = t134 * t679 + t157 * t388 - t300 * t715 + t300 * t89 - t308 * t82 - t361 * t43 + t375 * t594 + t455 * t602 + t502 * t96;
  t722 = (0.1e1 * t26 * t685 + 0.1e1 * t30 * t710 + 0.1e1 * t34 * t697) * t630;
  t725 = t593 * t685 + t606 * (0.1e1 * t30 * t697 - 0.1e1 * t34 * t710) + 0.1e1 * t722 * t26;
  t736 = t593 * t710 + t606 * (-0.1e1 * t26 * t697 + 0.1e1 * t34 * t685) + 0.1e1 * t722 * t30;
  t747 = t593 * t697 + t606 * (0.1e1 * t26 * t710 - 0.1e1 * t30 * t685) + 0.1e1 * t722 * t34;
  t750 = 0.1e1 / t662;
  t752 = t658 * t658;
  t753 = t662 * t662;
  t754 = 0.1e1 / t753;
  t757 = 0.1e1 / (t752 * t754 + 0.1e1);
  t764 = t754 * t757;
  t771 = 0.2e1 * t14;
  t772 = 0.2e1 * t17;
  t773 = -t771 + t772;
  t774 = t26 * t773;
  t777 = t30 * t773;
  t780 = t34 * t773;
  t783 = -0.5000000000e0 * t282 * t774 - 0.5000000000e0 * t292 * t777 - t499 - 0.5000000000e0 * t296 * t780;
  t791 = -0.5000000000e0 * t292 * t780 - t452 + 0.5000000000e0 * t296 * t777;
  t792 = t38 * t791;
  t795 = t112 * t773;
  t798 = t2 * t773;
  t801 = t5 * t773;
  t804 = t8 * t773;
  t807 = -0.5000000000e0 * t315 * t798 - 0.5000000000e0 * t320 * t801 - t349 - 0.5000000000e0 * t324 * t804;
  t813 = -0.5000000000e0 * t320 * t804 + 0.5000000000e0 * t324 * t801 + t340;
  t819 = 0.5000000000e0 * t315 * t804 - 0.5000000000e0 * t324 * t798;
  t827 = -0.5000000000e0 * t315 * t801 - t319 + 0.5000000000e0 * t320 * t798;
  t830 = (t813 * t90 + t819 * t92 + t827 * t94) * t79;
  t835 = -t372 * t807 + t75 * t830 + t80 * t827 + t807 * t94 + t813 * t92 - t819 * t90;
  t837 = t89 * t773;
  t847 = -t382 * t807 + t67 * t830 + t80 * t819 + t807 * t92 - t813 * t94 + t827 * t90;
  t850 = t96 * t773;
  t860 = -t390 * t807 + t61 * t830 + t80 * t813 + t807 * t90 + t819 * t94 - t827 * t92;
  t873 = t82 * t773;
  t879 = (-0.5000000000e0 * t282 * t850 + 0.1e1 * t13 * t860 - 0.5000000000e0 * t292 * t837 - t367 + 0.1e1 * t29 * t847 - 0.5000000000e0 * t296 * t873 + 0.1e1 * t33 * t835) * t108;
  t885 = t45 * t835 + t84 * (-0.5000000000e0 * t282 * t837 + 0.1e1 * t13 * t847 + 0.5000000000e0 * t292 * t850 + t396 - 0.1e1 * t29 * t860) + 0.1e1 * t879 * t33 - 0.5000000000e0 * t430 * t773;
  t888 = t124 * t773;
  t907 = t45 * t847 + t84 * (0.5000000000e0 * t282 * t873 - 0.1e1 * t13 * t835 - 0.5000000000e0 * t296 * t850 + 0.1e1 * t33 * t860) + 0.1e1 * t879 * t29 - 0.5000000000e0 * t449 * t773 - t485;
  t920 = 0.5000000000e0 * t282 * t780 - 0.5000000000e0 * t296 * t774;
  t921 = t38 * t920;
  t928 = t147 * t773;
  t947 = t45 * t860 + t84 * (-0.5000000000e0 * t292 * t873 - t425 + 0.1e1 * t29 * t835 + 0.5000000000e0 * t296 * t837 - 0.1e1 * t33 * t847) + 0.1e1 * t879 * t13 - 0.5000000000e0 * t477 * t773;
  t960 = -0.5000000000e0 * t282 * t777 + 0.5000000000e0 * t292 * t774 + t291;
  t961 = t38 * t960;
  t971 = 0.1e1 * t12 * t147;
  t950 = t492 * t783;
  t992 = -0.1000000000e1 * t488 * t783 + 0.1000000000e1 * t792 * t127 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t292 * t795 - t462 + 0.1e1 * t29 * t885 + 0.5000000000e0 * t296 * t888 - 0.1e1 * t33 * t907) - 0.1000000000e1 * t508 * t783 + 0.1000000000e1 * t921 * t150 + 0.1000000000e1 * t135 * (0.5000000000e0 * t282 * t795 - 0.1e1 * t13 * t885 - 0.5000000000e0 * t296 * t928 + 0.1e1 * t33 * t947) - 0.1000000000e1 * t950 * t163 + 0.1000000000e1 * t961 * t163 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t282 * t888 + 0.1e1 * t13 * t907 + 0.5000000000e0 * t292 * t928 + t971 - 0.1e1 * t29 * t947) - 0.1000000000e1 * t542 * t783 + 0.1000000000e1 * t792 * t248 - 0.1000000000e1 * t547 * t783 + 0.1000000000e1 * t921 * t265 - 0.1000000000e1 * t950 * t272 + 0.1000000000e1 * t961 * t272;
  t1030 = 0.1000000000e1 * t572 * t783 - 0.1000000000e1 * t792 * t147 - 0.1000000000e1 * t44 * t947 + 0.1000000000e1 * t579 * t783 - 0.1000000000e1 * t921 * t124 - 0.1000000000e1 * t135 * t907 + 0.1000000000e1 * t950 * t112 - 0.1000000000e1 * t961 * t112 - 0.1000000000e1 * t158 * t885 + 0.1000000000e1 * t597 * t783 - 0.1000000000e1 * t792 * t262 + 0.1000000000e1 * t605 * t783 - 0.1000000000e1 * t921 * t245 + 0.1000000000e1 * t950 * t233 - 0.1000000000e1 * t961 * t233;
  t1049 = (t134 * t847 + t157 * t835 + t43 * t860 + t791 * t96 + t82 * t960 + t89 * t920) * t38;
  t1054 = t1049 * t43 + t134 * t835 - t157 * t847 + t594 * t860 + t602 * t791 - t693 * t783 + t783 * t96 + t82 * t920 - t89 * t960;
  t1066 = t1049 * t157 - t134 * t860 + t43 * t847 + t594 * t835 + t602 * t960 - t704 * t783 + t783 * t82 + t791 * t89 - t920 * t96;
  t1079 = t1049 * t134 + t157 * t860 - t43 * t835 + t594 * t847 + t602 * t920 - t715 * t783 + t783 * t89 - t791 * t82 + t96 * t960;
  t1091 = (0.1e1 * t26 * t1054 + 0.1e1 * t30 * t1079 + 0.1e1 * t34 * t1066) * t630;
  t1094 = t593 * t1054 + t606 * (0.1e1 * t30 * t1066 - 0.1e1 * t34 * t1079) + 0.1e1 * t1091 * t26;
  t1105 = t593 * t1079 + t606 * (-0.1e1 * t26 * t1066 + 0.1e1 * t34 * t1054) + 0.1e1 * t1091 * t30;
  t1116 = t593 * t1066 + t606 * (0.1e1 * t26 * t1079 - 0.1e1 * t30 * t1054) + 0.1e1 * t1091 * t34;
  t1132 = 0.2e1 * t27;
  t1133 = 0.2e1 * t31;
  t1134 = -t1132 + t1133;
  t1135 = t26 * t1134;
  t1138 = t30 * t1134;
  t1141 = t34 * t1134;
  t1144 = -0.5000000000e0 * t282 * t1135 - 0.5000000000e0 * t292 * t1138 - 0.5000000000e0 * t296 * t1141 - t452;
  t1152 = -0.5000000000e0 * t292 * t1141 + 0.5000000000e0 * t296 * t1138 + t499;
  t1153 = t38 * t1152;
  t1156 = t112 * t1134;
  t1159 = t2 * t1134;
  t1162 = t5 * t1134;
  t1165 = t8 * t1134;
  t1168 = -0.5000000000e0 * t315 * t1159 - 0.5000000000e0 * t320 * t1162 - 0.5000000000e0 * t324 * t1165 - t340;
  t1174 = -0.5000000000e0 * t320 * t1165 - t349 + 0.5000000000e0 * t324 * t1162;
  t1180 = 0.5000000000e0 * t315 * t1165 + t319 - 0.5000000000e0 * t324 * t1159;
  t1188 = -0.5000000000e0 * t315 * t1162 + 0.5000000000e0 * t320 * t1159;
  t1191 = (t1174 * t90 + t1180 * t92 + t1188 * t94) * t79;
  t1196 = -t1168 * t372 + t1168 * t94 + t1174 * t92 - t1180 * t90 + t1188 * t80 + t1191 * t75;
  t1198 = t89 * t1134;
  t1208 = -t1168 * t382 + t1168 * t92 - t1174 * t94 + t1180 * t80 + t1188 * t90 + t1191 * t67;
  t1211 = t96 * t1134;
  t1221 = -t1168 * t390 + t1168 * t90 + t1174 * t80 + t1180 * t94 - t1188 * t92 + t1191 * t61;
  t1234 = t82 * t1134;
  t1240 = (-0.5000000000e0 * t1211 * t282 + 0.1e1 * t13 * t1221 - 0.5000000000e0 * t292 * t1198 + 0.1e1 * t29 * t1208 - 0.5000000000e0 * t296 * t1234 - t425 + 0.1e1 * t33 * t1196) * t108;
  t1246 = t45 * t1196 + t84 * (-0.5000000000e0 * t282 * t1198 + 0.1e1 * t13 * t1208 + 0.5000000000e0 * t292 * t1211 - 0.1e1 * t29 * t1221) + 0.1e1 * t1240 * t33 - 0.5000000000e0 * t430 * t1134 - t485;
  t1249 = t124 * t1134;
  t1268 = t45 * t1208 + t84 * (0.5000000000e0 * t282 * t1234 - 0.1e1 * t13 * t1196 - 0.5000000000e0 * t296 * t1211 - t396 + 0.1e1 * t33 * t1221) + 0.1e1 * t1240 * t29 - 0.5000000000e0 * t449 * t1134;
  t1281 = 0.5000000000e0 * t282 * t1141 - 0.5000000000e0 * t296 * t1135 - t291;
  t1282 = t38 * t1281;
  t1289 = t147 * t1134;
  t1308 = t45 * t1221 + t84 * (-0.5000000000e0 * t292 * t1234 + 0.1e1 * t29 * t1196 + 0.5000000000e0 * t296 * t1198 + t367 - 0.1e1 * t33 * t1208) + 0.1e1 * t13 * t1240 - 0.5000000000e0 * t477 * t1134;
  t1321 = -0.5000000000e0 * t282 * t1138 + 0.5000000000e0 * t292 * t1135;
  t1322 = t38 * t1321;
  t1351 = -0.1000000000e1 * t488 * t1144 + 0.1000000000e1 * t1153 * t127 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t292 * t1156 + 0.1e1 * t29 * t1246 + 0.5000000000e0 * t296 * t1249 + t509 - 0.1e1 * t33 * t1268) - 0.1000000000e1 * t508 * t1144 + 0.1000000000e1 * t1282 * t150 + 0.1000000000e1 * t135 * (0.5000000000e0 * t282 * t1156 - 0.1e1 * t13 * t1246 - 0.5000000000e0 * t296 * t1289 - t971 + 0.1e1 * t33 * t1308) - 0.1000000000e1 * t525 * t1144 + 0.1000000000e1 * t1322 * t163 + 0.1000000000e1 * (-0.5000000000e0 * t282 * t1249 + 0.1e1 * t13 * t1268 + 0.5000000000e0 * t292 * t1289 - 0.1e1 * t29 * t1308) * t158 - 0.1000000000e1 * t542 * t1144 + 0.1000000000e1 * t1153 * t248 - 0.1000000000e1 * t547 * t1144 + 0.1000000000e1 * t1282 * t265 - 0.1000000000e1 * t553 * t1144 + 0.1000000000e1 * t1322 * t272;
  t1389 = 0.1000000000e1 * t572 * t1144 - 0.1000000000e1 * t1153 * t147 - 0.1000000000e1 * t44 * t1308 + 0.1000000000e1 * t579 * t1144 - 0.1000000000e1 * t1282 * t124 - 0.1000000000e1 * t135 * t1268 + 0.1000000000e1 * t587 * t1144 - 0.1000000000e1 * t1322 * t112 - 0.1000000000e1 * t158 * t1246 + 0.1000000000e1 * t597 * t1144 - 0.1000000000e1 * t1153 * t262 + 0.1000000000e1 * t605 * t1144 - 0.1000000000e1 * t1282 * t245 + 0.1000000000e1 * t612 * t1144 - 0.1000000000e1 * t1322 * t233;
  t1408 = (t1152 * t96 + t1196 * t157 + t1208 * t134 + t1221 * t43 + t1281 * t89 + t1321 * t82) * t38;
  t1413 = -t1144 * t693 + t1144 * t96 + t1152 * t602 + t1196 * t134 - t1208 * t157 + t1221 * t594 + t1281 * t82 - t1321 * t89 + t1408 * t43;
  t1425 = -t1144 * t704 + t1144 * t82 + t1152 * t89 + t1196 * t594 + t1208 * t43 - t1221 * t134 - t1281 * t96 + t1321 * t602 + t1408 * t157;
  t1438 = -t1144 * t715 + t1144 * t89 - t1152 * t82 - t1196 * t43 + t1208 * t594 + t1221 * t157 + t1281 * t602 + t1321 * t96 + t134 * t1408;
  t1450 = (0.1e1 * t26 * t1413 + 0.1e1 * t30 * t1438 + 0.1e1 * t34 * t1425) * t630;
  t1453 = t593 * t1413 + t606 * (0.1e1 * t30 * t1425 - 0.1e1 * t34 * t1438) + 0.1e1 * t1450 * t26;
  t1464 = t593 * t1438 + t606 * (-0.1e1 * t26 * t1425 + 0.1e1 * t34 * t1413) + 0.1e1 * t1450 * t30;
  t1475 = t593 * t1425 + t606 * (0.1e1 * t26 * t1438 - 0.1e1 * t30 * t1413) + 0.1e1 * t1450 * t34;
  t1492 = 0.2e1 * t1 - t284;
  t1493 = t26 * t1492;
  t1497 = t25 / t23;
  t1498 = t1497 * t15;
  t1500 = -0.2e1 * t39 + t283;
  t1501 = t1498 * t1500;
  t1505 = 0.1e1 * t25 * t13;
  t1506 = t30 * t1492;
  t1509 = t1497 * t18;
  t1510 = t1509 * t1500;
  t1513 = t34 * t1492;
  t1516 = t1497 * t21;
  t1517 = t1516 * t1500;
  t1520 = -0.5000000000e0 * t282 * t1493 + t291 - 0.5000000000e0 * t13 * t1501 - t1505 - 0.5000000000e0 * t292 * t1506 - 0.5000000000e0 * t29 * t1510 - 0.5000000000e0 * t296 * t1513 - 0.5000000000e0 * t33 * t1517;
  t1532 = -0.5000000000e0 * t292 * t1513 - 0.5000000000e0 * t29 * t1517 + 0.5000000000e0 * t296 * t1506 + 0.5000000000e0 * t33 * t1510;
  t1533 = t38 * t1532;
  t1536 = t112 * t1492;
  t1539 = t2 * t1492;
  t1542 = t5 * t1492;
  t1545 = t8 * t1492;
  t1548 = -0.5000000000e0 * t315 * t1539 + t319 - 0.5000000000e0 * t320 * t1542 - 0.5000000000e0 * t324 * t1545;
  t1554 = -0.5000000000e0 * t320 * t1545 + 0.5000000000e0 * t324 * t1542;
  t1560 = 0.5000000000e0 * t315 * t1545 - 0.5000000000e0 * t324 * t1539 + t340;
  t1568 = -0.5000000000e0 * t315 * t1542 + 0.5000000000e0 * t320 * t1539 - t349;
  t1571 = (t1554 * t90 + t1560 * t92 + t1568 * t94) * t79;
  t1576 = -t1548 * t372 + t1548 * t94 + t1554 * t92 - t1560 * t90 + t1568 * t80 + t1571 * t75;
  t1578 = t89 * t1492;
  t1588 = -t1548 * t382 + t1548 * t92 - t1554 * t94 + t1560 * t80 + t1568 * t90 + t1571 * t67;
  t1591 = t96 * t1492;
  t1601 = -t1548 * t390 + t1548 * t90 + t1554 * t80 + t1560 * t94 - t1568 * t92 + t1571 * t61;
  t1614 = t82 * t1492;
  t1620 = (-0.5000000000e0 * t282 * t1591 + t396 + 0.1e1 * t13 * t1601 - 0.5000000000e0 * t292 * t1578 + 0.1e1 * t29 * t1588 - 0.5000000000e0 * t296 * t1614 + 0.1e1 * t33 * t1576) * t108;
  t1626 = t45 * t1576 + t84 * (-0.5000000000e0 * t282 * t1578 + t367 + 0.1e1 * t13 * t1588 + 0.5000000000e0 * t292 * t1591 - 0.1e1 * t29 * t1601) + 0.1e1 * t1620 * t33 - 0.5000000000e0 * t430 * t1492;
  t1629 = t124 * t1492;
  t1648 = t45 * t1588 + t84 * (0.5000000000e0 * t282 * t1614 - t425 - 0.1e1 * t13 * t1576 - 0.5000000000e0 * t296 * t1591 + 0.1e1 * t33 * t1601) + 0.1e1 * t1620 * t29 - 0.5000000000e0 * t449 * t1492;
  t1666 = 0.1e1 * t33 * t25;
  t1667 = 0.5000000000e0 * t282 * t1513 - t452 + 0.5000000000e0 * t13 * t1517 - 0.5000000000e0 * t296 * t1493 - 0.5000000000e0 * t33 * t1501 - t1666;
  t1668 = t38 * t1667;
  t1675 = t147 * t1492;
  t1694 = t45 * t1601 + t84 * (-0.5000000000e0 * t292 * t1614 + 0.1e1 * t29 * t1576 + 0.5000000000e0 * t296 * t1578 - 0.1e1 * t33 * t1588) + 0.1e1 * t1620 * t13 - 0.5000000000e0 * t477 * t1492 + t485;
  t1712 = 0.1e1 * t29 * t25;
  t1713 = -0.5000000000e0 * t282 * t1506 + t499 - 0.5000000000e0 * t13 * t1510 + 0.5000000000e0 * t1493 * t292 + 0.5000000000e0 * t29 * t1501 + t1712;
  t1714 = t38 * t1713;
  t1733 = t233 * t1500;
  t1736 = t184 * t1497;
  t1737 = t15 * t1500;
  t1740 = 0.1e1 * t167;
  t1741 = t186 * t1497;
  t1742 = t18 * t1500;
  t1745 = t189 * t1497;
  t1746 = t21 * t1500;
  t1749 = -0.5000000000e0 * t1736 * t1737 - t1740 - 0.5000000000e0 * t1741 * t1742 - 0.5000000000e0 * t1745 * t1746;
  t1755 = -0.5000000000e0 * t1741 * t1746 + 0.5000000000e0 * t1745 * t1742;
  t1761 = 0.1e1 * t173;
  t1762 = 0.5000000000e0 * t1736 * t1746 - 0.5000000000e0 * t1745 * t1737 - t1761;
  t1770 = 0.1e1 * t170;
  t1771 = -0.5000000000e0 * t1736 * t1742 + 0.5000000000e0 * t1741 * t1737 + t1770;
  t1774 = (t1755 * t211 + t1762 * t213 + t1771 * t215) * t200;
  t1776 = t199 * t199;
  t1778 = t198 / t1776;
  t1596 = t1778 * t196;
  t1782 = -t1596 * t1749 + t1749 * t215 + t1755 * t213 - t1762 * t211 + t1771 * t201 + t1774 * t196;
  t1784 = t210 * t1500;
  t1788 = 0.1e1 * t25 * t210;
  t1605 = t1778 * t188;
  t1796 = -t1605 * t1749 + t1749 * t213 - t1755 * t215 + t1762 * t201 + t1771 * t211 + t1774 * t188;
  t1799 = t217 * t1500;
  t1612 = t1778 * t182;
  t1809 = -t1612 * t1749 + t1749 * t211 + t1755 * t201 + t1762 * t215 - t1771 * t213 + t1774 * t182;
  t1812 = -0.5000000000e0 * t1498 * t1784 - t1788 + 0.1e1 * t26 * t1796 + 0.5000000000e0 * t1509 * t1799 - 0.1e1 * t30 * t1809;
  t1817 = 0.1e1 * t25 * t217;
  t1824 = t203 * t1500;
  t1830 = (-0.5000000000e0 * t1498 * t1799 - t1817 + 0.1e1 * t26 * t1809 - 0.5000000000e0 * t1509 * t1784 + 0.1e1 * t30 * t1796 - 0.5000000000e0 * t1516 * t1824 + 0.1e1 * t34 * t1782) * t229;
  t1835 = t166 * t1782 + t205 * t1812 + 0.1e1 * t1830 * t34 - 0.5000000000e0 * t230 * t1517;
  t1838 = t245 * t1500;
  t1845 = 0.1e1 * t25 * t203;
  t1852 = 0.5000000000e0 * t1498 * t1824 + t1845 - 0.1e1 * t26 * t1782 - 0.5000000000e0 * t1516 * t1799 + 0.1e1 * t34 * t1809;
  t1858 = t166 * t1796 + t205 * t1852 + 0.1e1 * t1830 * t30 - 0.5000000000e0 * t230 * t1510;
  t1872 = 0.1e1 * t25 * t233;
  t1875 = t262 * t1500;
  t1887 = -0.5000000000e0 * t1509 * t1824 + 0.1e1 * t30 * t1782 + 0.5000000000e0 * t1516 * t1784 - 0.1e1 * t34 * t1796;
  t1894 = 0.1e1 * t230 * t25;
  t1895 = t166 * t1809 + t205 * t1887 + 0.1e1 * t1830 * t26 - 0.5000000000e0 * t230 * t1501 - t1894;
  t1909 = 0.1e1 * t25 * t245;
  t1919 = -0.1000000000e1 * t488 * t1520 + 0.1000000000e1 * t1533 * t127 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t292 * t1536 + 0.1e1 * t29 * t1626 + 0.5000000000e0 * t296 * t1629 - 0.1e1 * t33 * t1648) - 0.1000000000e1 * t508 * t1520 + 0.1000000000e1 * t1668 * t150 + 0.1000000000e1 * t135 * (0.5000000000e0 * t282 * t1536 - t462 - 0.1e1 * t13 * t1626 - 0.5000000000e0 * t296 * t1675 + 0.1e1 * t33 * t1694) - 0.1000000000e1 * t525 * t1520 + 0.1000000000e1 * t1714 * t163 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t282 * t1629 + t509 + 0.1e1 * t13 * t1648 + 0.5000000000e0 * t292 * t1675 - 0.1e1 * t29 * t1694) - 0.1000000000e1 * t542 * t1520 + 0.1000000000e1 * t1533 * t248 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t1509 * t1733 + 0.1e1 * t30 * t1835 + 0.5000000000e0 * t1516 * t1838 - 0.1e1 * t34 * t1858) - 0.1000000000e1 * t547 * t1520 + 0.1000000000e1 * t1668 * t265 + 0.1000000000e1 * t135 * (0.5000000000e0 * t1498 * t1733 + t1872 - 0.1e1 * t26 * t1835 - 0.5000000000e0 * t1516 * t1875 + 0.1e1 * t34 * t1895) - 0.1000000000e1 * t553 * t1520 + 0.1000000000e1 * t1714 * t272 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t1498 * t1838 - t1909 + 0.1e1 * t26 * t1858 + 0.5000000000e0 * t1509 * t1875 - 0.1e1 * t30 * t1895);
  t1963 = 0.1000000000e1 * t572 * t1520 - 0.1000000000e1 * t1533 * t147 - 0.1000000000e1 * t44 * t1694 + 0.1000000000e1 * t579 * t1520 - 0.1000000000e1 * t1668 * t124 - 0.1000000000e1 * t135 * t1648 + 0.1000000000e1 * t587 * t1520 - 0.1000000000e1 * t1714 * t112 - 0.1000000000e1 * t158 * t1626 + 0.1000000000e1 * t597 * t1520 - 0.1000000000e1 * t1533 * t262 - 0.1000000000e1 * t44 * t1895 + 0.1000000000e1 * t605 * t1520 - 0.1000000000e1 * t1668 * t245 - 0.1000000000e1 * t135 * t1858 + 0.1000000000e1 * t612 * t1520 - 0.1000000000e1 * t1714 * t233 - 0.1000000000e1 * t158 * t1835;
  t1983 = (t134 * t1588 + t1532 * t96 + t157 * t1576 + t1601 * t43 + t1667 * t89 + t1713 * t82) * t38;
  t1988 = t134 * t1576 - t1520 * t693 + t1520 * t96 + t1532 * t602 - t157 * t1588 + t1601 * t594 + t1667 * t82 - t1713 * t89 + t1983 * t43;
  t1990 = t611 * t1500;
  t2003 = -t134 * t1601 - t1520 * t704 + t1520 * t82 + t1532 * t89 + t157 * t1983 + t1576 * t594 + t1588 * t43 - t1667 * t96 + t1713 * t602;
  t2006 = t618 * t1500;
  t2019 = t134 * t1983 - t1520 * t715 + t1520 * t89 - t1532 * t82 + t157 * t1601 - t1576 * t43 + t1588 * t594 + t1667 * t602 + t1713 * t96;
  t2024 = t604 * t1500;
  t2028 = 0.1e1 * t25 * t604;
  t2040 = (-0.5000000000e0 * t1498 * t2024 - t2028 + 0.1e1 * t26 * t1988 - 0.5000000000e0 * t1509 * t2006 + 0.1e1 * t30 * t2019 - 0.5000000000e0 * t1516 * t1990 + 0.1e1 * t34 * t2003) * t630;
  t2046 = 0.1e1 * t631 * t25;
  t2047 = t593 * t1988 + t606 * (-0.5000000000e0 * t1990 * t1509 + 0.1e1 * t30 * t2003 + 0.5000000000e0 * t1516 * t2006 - 0.1e1 * t34 * t2019) + 0.1e1 * t2040 * t26 - 0.5000000000e0 * t631 * t1501 - t2046;
  t2054 = 0.1e1 * t25 * t611;
  t2067 = t593 * t2019 + t606 * (0.5000000000e0 * t1498 * t1990 + t2054 - 0.1e1 * t26 * t2003 - 0.5000000000e0 * t1516 * t2024 + 0.1e1 * t34 * t1988) + 0.1e1 * t2040 * t30 - 0.5000000000e0 * t631 * t1510;
  t2074 = 0.1e1 * t25 * t618;
  t2087 = t593 * t2003 + t606 * (-0.5000000000e0 * t1498 * t2006 - t2074 + 0.1e1 * t26 * t2019 + 0.5000000000e0 * t1509 * t2024 - 0.1e1 * t30 * t1988) + 0.1e1 * t2040 * t34 - 0.5000000000e0 * t631 * t1517;
  t2107 = 0.2e1 * t14 - t772;
  t2108 = t26 * t2107;
  t2112 = -0.2e1 * t41 + t771;
  t2113 = t1498 * t2112;
  t2116 = t30 * t2107;
  t2119 = t1509 * t2112;
  t2122 = t34 * t2107;
  t2125 = t1516 * t2112;
  t2128 = -0.5000000000e0 * t282 * t2108 - 0.5000000000e0 * t13 * t2113 - 0.5000000000e0 * t292 * t2116 + t499 - 0.5000000000e0 * t29 * t2119 - t1712 - 0.5000000000e0 * t296 * t2122 - 0.5000000000e0 * t33 * t2125;
  t2140 = -0.5000000000e0 * t292 * t2122 + t452 - 0.5000000000e0 * t29 * t2125 + 0.5000000000e0 * t296 * t2116 + 0.5000000000e0 * t33 * t2119 + t1666;
  t2141 = t38 * t2140;
  t2144 = t112 * t2107;
  t2147 = t2 * t2107;
  t2150 = t5 * t2107;
  t2153 = t8 * t2107;
  t2156 = -0.5000000000e0 * t315 * t2147 - 0.5000000000e0 * t320 * t2150 + t349 - 0.5000000000e0 * t324 * t2153;
  t2162 = -0.5000000000e0 * t320 * t2153 + 0.5000000000e0 * t324 * t2150 - t340;
  t2168 = 0.5000000000e0 * t2153 * t315 - 0.5000000000e0 * t324 * t2147;
  t2176 = -0.5000000000e0 * t315 * t2150 + t319 + 0.5000000000e0 * t320 * t2147;
  t2179 = (t2162 * t90 + t2168 * t92 + t2176 * t94) * t79;
  t2184 = -t2156 * t372 + t2156 * t94 + t2162 * t92 - t2168 * t90 + t2176 * t80 + t2179 * t75;
  t2186 = t89 * t2107;
  t2196 = -t2156 * t382 + t2156 * t92 - t2162 * t94 + t2168 * t80 + t2176 * t90 + t2179 * t67;
  t2199 = t96 * t2107;
  t2209 = -t2156 * t390 + t2156 * t90 + t2162 * t80 + t2168 * t94 - t2176 * t92 + t2179 * t61;
  t2222 = t82 * t2107;
  t2228 = (-0.5000000000e0 * t282 * t2199 + 0.1e1 * t13 * t2209 - 0.5000000000e0 * t292 * t2186 + t367 + 0.1e1 * t29 * t2196 - 0.5000000000e0 * t296 * t2222 + 0.1e1 * t33 * t2184) * t108;
  t2234 = t45 * t2184 + t84 * (-0.5000000000e0 * t282 * t2186 + 0.1e1 * t13 * t2196 + 0.5000000000e0 * t292 * t2199 - t396 - 0.1e1 * t29 * t2209) + 0.1e1 * t2228 * t33 - 0.5000000000e0 * t430 * t2107;
  t2237 = t124 * t2107;
  t2256 = t45 * t2196 + t84 * (0.5000000000e0 * t282 * t2222 - 0.1e1 * t13 * t2184 - 0.5000000000e0 * t296 * t2199 + 0.1e1 * t33 * t2209) + 0.1e1 * t2228 * t29 - 0.5000000000e0 * t449 * t2107 + t485;
  t2273 = 0.5000000000e0 * t282 * t2122 + 0.5000000000e0 * t13 * t2125 - 0.5000000000e0 * t296 * t2108 - 0.5000000000e0 * t33 * t2113;
  t2274 = t38 * t2273;
  t2281 = t147 * t2107;
  t2300 = t45 * t2209 + t84 * (-0.5000000000e0 * t292 * t2222 + t425 + 0.1e1 * t29 * t2184 + 0.5000000000e0 * t296 * t2186 - 0.1e1 * t33 * t2196) + 0.1e1 * t2228 * t13 - 0.5000000000e0 * t477 * t2107;
  t2317 = -0.5000000000e0 * t282 * t2116 - 0.5000000000e0 * t13 * t2119 - t1505 + 0.5000000000e0 * t292 * t2108 - t291 + 0.5000000000e0 * t29 * t2113;
  t2318 = t38 * t2317;
  t2337 = t233 * t2112;
  t2340 = t15 * t2112;
  t2343 = t18 * t2112;
  t2346 = t21 * t2112;
  t2349 = -0.5000000000e0 * t1736 * t2340 - 0.5000000000e0 * t1741 * t2343 - t1770 - 0.5000000000e0 * t1745 * t2346;
  t2355 = -0.5000000000e0 * t1741 * t2346 + 0.5000000000e0 * t1745 * t2343 + t1761;
  t2361 = 0.5000000000e0 * t1736 * t2346 - 0.5000000000e0 * t1745 * t2340;
  t2369 = -0.5000000000e0 * t1736 * t2343 - t1740 + 0.5000000000e0 * t1741 * t2340;
  t2372 = (t211 * t2355 + t213 * t2361 + t215 * t2369) * t200;
  t2377 = -t1596 * t2349 + t196 * t2372 + t201 * t2369 - t211 * t2361 + t213 * t2355 + t215 * t2349;
  t2379 = t210 * t2112;
  t2389 = -t1605 * t2349 + t188 * t2372 + t201 * t2361 + t211 * t2369 + t213 * t2349 - t215 * t2355;
  t2392 = t217 * t2112;
  t2402 = -t1612 * t2349 + t182 * t2372 + t201 * t2355 + t211 * t2349 - t213 * t2369 + t215 * t2361;
  t2405 = -0.5000000000e0 * t1498 * t2379 + 0.1e1 * t26 * t2389 + 0.5000000000e0 * t1509 * t2392 + t1817 - 0.1e1 * t30 * t2402;
  t2415 = t203 * t2112;
  t2421 = (-0.5000000000e0 * t1498 * t2392 + 0.1e1 * t26 * t2402 - 0.5000000000e0 * t1509 * t2379 - t1788 + 0.1e1 * t30 * t2389 - 0.5000000000e0 * t1516 * t2415 + 0.1e1 * t34 * t2377) * t229;
  t2426 = t166 * t2377 + t205 * t2405 + 0.1e1 * t34 * t2421 - 0.5000000000e0 * t230 * t2125;
  t2429 = t245 * t2112;
  t2441 = 0.5000000000e0 * t1498 * t2415 - 0.1e1 * t26 * t2377 - 0.5000000000e0 * t1516 * t2392 + 0.1e1 * t34 * t2402;
  t2447 = t166 * t2389 + t205 * t2441 + 0.1e1 * t30 * t2421 - 0.5000000000e0 * t230 * t2119 - t1894;
  t2462 = t262 * t2112;
  t2474 = -0.5000000000e0 * t1509 * t2415 - t1845 + 0.1e1 * t30 * t2377 + 0.5000000000e0 * t1516 * t2379 - 0.1e1 * t34 * t2389;
  t2480 = t166 * t2402 + t205 * t2474 + 0.1e1 * t2421 * t26 - 0.5000000000e0 * t230 * t2113;
  t2498 = 0.1e1 * t25 * t262;
  t2504 = -0.1000000000e1 * t488 * t2128 + 0.1000000000e1 * t2141 * t127 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t292 * t2144 + t462 + 0.1e1 * t29 * t2234 + 0.5000000000e0 * t296 * t2237 - 0.1e1 * t33 * t2256) - 0.1000000000e1 * t508 * t2128 + 0.1000000000e1 * t2274 * t150 + 0.1000000000e1 * t135 * (0.5000000000e0 * t282 * t2144 - 0.1e1 * t13 * t2234 - 0.5000000000e0 * t296 * t2281 + 0.1e1 * t33 * t2300) - 0.1000000000e1 * t525 * t2128 + 0.1000000000e1 * t2318 * t163 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t282 * t2237 + 0.1e1 * t13 * t2256 + 0.5000000000e0 * t292 * t2281 - t971 - 0.1e1 * t29 * t2300) - 0.1000000000e1 * t542 * t2128 + 0.1000000000e1 * t2141 * t248 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t1509 * t2337 - t1872 + 0.1e1 * t30 * t2426 + 0.5000000000e0 * t1516 * t2429 - 0.1e1 * t34 * t2447) - 0.1000000000e1 * t547 * t2128 + 0.1000000000e1 * t2274 * t265 + 0.1000000000e1 * t135 * (0.5000000000e0 * t1498 * t2337 - 0.1e1 * t26 * t2426 - 0.5000000000e0 * t1516 * t2462 + 0.1e1 * t34 * t2480) - 0.1000000000e1 * t553 * t2128 + 0.1000000000e1 * t2318 * t272 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t1498 * t2429 + 0.1e1 * t26 * t2447 + 0.5000000000e0 * t1509 * t2462 + t2498 - 0.1e1 * t30 * t2480);
  t2548 = 0.1000000000e1 * t572 * t2128 - 0.1000000000e1 * t2141 * t147 - 0.1000000000e1 * t44 * t2300 + 0.1000000000e1 * t579 * t2128 - 0.1000000000e1 * t2274 * t124 - 0.1000000000e1 * t135 * t2256 + 0.1000000000e1 * t587 * t2128 - 0.1000000000e1 * t2318 * t112 - 0.1000000000e1 * t158 * t2234 + 0.1000000000e1 * t597 * t2128 - 0.1000000000e1 * t2141 * t262 - 0.1000000000e1 * t44 * t2480 + 0.1000000000e1 * t605 * t2128 - 0.1000000000e1 * t2274 * t245 - 0.1000000000e1 * t135 * t2447 + 0.1000000000e1 * t612 * t2128 - 0.1000000000e1 * t2318 * t233 - 0.1000000000e1 * t158 * t2426;
  t2568 = (t134 * t2196 + t157 * t2184 + t2140 * t96 + t2209 * t43 + t2273 * t89 + t2317 * t82) * t38;
  t2573 = t134 * t2184 - t157 * t2196 - t2128 * t693 + t2128 * t96 + t2140 * t602 + t2209 * t594 + t2273 * t82 - t2317 * t89 + t2568 * t43;
  t2575 = t611 * t2112;
  t2588 = -t134 * t2209 + t157 * t2568 - t2128 * t704 + t2128 * t82 + t2140 * t89 + t2184 * t594 + t2196 * t43 - t2273 * t96 + t2317 * t602;
  t2591 = t618 * t2112;
  t2604 = t134 * t2568 + t157 * t2209 - t2128 * t715 + t2128 * t89 - t2140 * t82 - t2184 * t43 + t2196 * t594 + t2273 * t602 + t2317 * t96;
  t2609 = t604 * t2112;
  t2623 = (-0.5000000000e0 * t1498 * t2609 + 0.1e1 * t26 * t2573 - 0.5000000000e0 * t1509 * t2591 - t2074 + 0.1e1 * t30 * t2604 - 0.5000000000e0 * t1516 * t2575 + 0.1e1 * t34 * t2588) * t630;
  t2628 = t593 * t2573 + t606 * (-0.5000000000e0 * t1509 * t2575 - t2054 + 0.1e1 * t30 * t2588 + 0.5000000000e0 * t1516 * t2591 - 0.1e1 * t34 * t2604) + 0.1e1 * t2623 * t26 - 0.5000000000e0 * t631 * t2113;
  t2646 = t593 * t2604 + t606 * (0.5000000000e0 * t1498 * t2575 - 0.1e1 * t26 * t2588 - 0.5000000000e0 * t1516 * t2609 + 0.1e1 * t34 * t2573) + 0.1e1 * t2623 * t30 - 0.5000000000e0 * t631 * t2119 - t2046;
  t2664 = t593 * t2588 + t606 * (-0.5000000000e0 * t1498 * t2591 + 0.1e1 * t26 * t2604 + 0.5000000000e0 * t1509 * t2609 + t2028 - 0.1e1 * t30 * t2573) + 0.1e1 * t2623 * t34 - 0.5000000000e0 * t631 * t2125;
  t2684 = 0.2e1 * t27 - t1133;
  t2685 = t26 * t2684;
  t2689 = -0.2e1 * t47 + t1132;
  t2690 = t1498 * t2689;
  t2693 = t30 * t2684;
  t2696 = t1509 * t2689;
  t2699 = t34 * t2684;
  t2702 = t1516 * t2689;
  t2705 = -0.5000000000e0 * t282 * t2685 - 0.5000000000e0 * t13 * t2690 - 0.5000000000e0 * t292 * t2693 - 0.5000000000e0 * t29 * t2696 - 0.5000000000e0 * t296 * t2699 + t452 - 0.5000000000e0 * t33 * t2702 - t1666;
  t2717 = -0.5000000000e0 * t292 * t2699 - 0.5000000000e0 * t29 * t2702 - t1712 + 0.5000000000e0 * t296 * t2693 - t499 + 0.5000000000e0 * t33 * t2696;
  t2718 = t38 * t2717;
  t2721 = t112 * t2684;
  t2724 = t2 * t2684;
  t2727 = t5 * t2684;
  t2730 = t8 * t2684;
  t2733 = -0.5000000000e0 * t315 * t2724 - 0.5000000000e0 * t320 * t2727 - 0.5000000000e0 * t324 * t2730 + t340;
  t2739 = -0.5000000000e0 * t320 * t2730 + t349 + 0.5000000000e0 * t324 * t2727;
  t2745 = 0.5000000000e0 * t315 * t2730 - t319 - 0.5000000000e0 * t324 * t2724;
  t2753 = -0.5000000000e0 * t315 * t2727 + 0.5000000000e0 * t320 * t2724;
  t2756 = (t2739 * t90 + t2745 * t92 + t2753 * t94) * t79;
  t2761 = -t2733 * t372 + t2733 * t94 + t2739 * t92 - t2745 * t90 + t2753 * t80 + t2756 * t75;
  t2763 = t89 * t2684;
  t2773 = -t2733 * t382 + t2733 * t92 - t2739 * t94 + t2745 * t80 + t2753 * t90 + t2756 * t67;
  t2776 = t96 * t2684;
  t2786 = -t2733 * t390 + t2733 * t90 + t2739 * t80 + t2745 * t94 - t2753 * t92 + t2756 * t61;
  t2799 = t82 * t2684;
  t2805 = (-0.5000000000e0 * t282 * t2776 + 0.1e1 * t13 * t2786 - 0.5000000000e0 * t292 * t2763 + 0.1e1 * t29 * t2773 - 0.5000000000e0 * t296 * t2799 + t425 + 0.1e1 * t33 * t2761) * t108;
  t2811 = t45 * t2761 + t84 * (-0.5000000000e0 * t282 * t2763 + 0.1e1 * t13 * t2773 + 0.5000000000e0 * t292 * t2776 - 0.1e1 * t29 * t2786) + 0.1e1 * t2805 * t33 - 0.5000000000e0 * t430 * t2684 + t485;
  t2814 = t124 * t2684;
  t2833 = t45 * t2773 + t84 * (0.5000000000e0 * t2799 * t282 - 0.1e1 * t13 * t2761 - 0.5000000000e0 * t296 * t2776 + t396 + 0.1e1 * t33 * t2786) + 0.1e1 * t2805 * t29 - 0.5000000000e0 * t449 * t2684;
  t2850 = 0.5000000000e0 * t282 * t2699 + 0.5000000000e0 * t13 * t2702 + t1505 - 0.5000000000e0 * t296 * t2685 + t291 - 0.5000000000e0 * t33 * t2690;
  t2851 = t38 * t2850;
  t2858 = t147 * t2684;
  t2877 = t45 * t2786 + t84 * (-0.5000000000e0 * t292 * t2799 + 0.1e1 * t29 * t2761 + 0.5000000000e0 * t296 * t2763 - t367 - 0.1e1 * t33 * t2773) + 0.1e1 * t2805 * t13 - 0.5000000000e0 * t477 * t2684;
  t2894 = -0.5000000000e0 * t282 * t2693 - 0.5000000000e0 * t13 * t2696 + 0.5000000000e0 * t292 * t2685 + 0.5000000000e0 * t29 * t2690;
  t2895 = t38 * t2894;
  t2914 = t233 * t2689;
  t2917 = t15 * t2689;
  t2920 = t18 * t2689;
  t2923 = t21 * t2689;
  t2926 = -0.5000000000e0 * t1736 * t2917 - 0.5000000000e0 * t1741 * t2920 - 0.5000000000e0 * t1745 * t2923 - t1761;
  t2932 = -0.5000000000e0 * t1741 * t2923 - t1770 + 0.5000000000e0 * t1745 * t2920;
  t2938 = 0.5000000000e0 * t1736 * t2923 + t1740 - 0.5000000000e0 * t1745 * t2917;
  t2946 = -0.5000000000e0 * t1736 * t2920 + 0.5000000000e0 * t1741 * t2917;
  t2949 = (t211 * t2932 + t213 * t2938 + t215 * t2946) * t200;
  t2954 = -t1596 * t2926 + t196 * t2949 + t201 * t2946 - t211 * t2938 + t2932 * t213 + t215 * t2926;
  t2956 = t210 * t2689;
  t2966 = -t1605 * t2926 + t188 * t2949 + t201 * t2938 + t211 * t2946 + t213 * t2926 - t215 * t2932;
  t2969 = t217 * t2689;
  t2979 = -t1612 * t2926 + t182 * t2949 + t201 * t2932 + t211 * t2926 - t213 * t2946 + t215 * t2938;
  t2982 = -0.5000000000e0 * t1498 * t2956 + 0.1e1 * t26 * t2966 + 0.5000000000e0 * t1509 * t2969 - 0.1e1 * t30 * t2979;
  t2992 = t203 * t2689;
  t2998 = (-0.5000000000e0 * t1498 * t2969 + 0.1e1 * t26 * t2979 - 0.5000000000e0 * t1509 * t2956 + 0.1e1 * t30 * t2966 - 0.5000000000e0 * t1516 * t2992 - t1845 + 0.1e1 * t34 * t2954) * t229;
  t3003 = t166 * t2954 + t205 * t2982 + 0.1e1 * t2998 * t34 - 0.5000000000e0 * t230 * t2702 - t1894;
  t3006 = t245 * t2689;
  t3018 = 0.5000000000e0 * t1498 * t2992 - 0.1e1 * t26 * t2954 - 0.5000000000e0 * t1516 * t2969 - t1817 + 0.1e1 * t34 * t2979;
  t3024 = t166 * t2966 + t205 * t3018 + 0.1e1 * t2998 * t30 - 0.5000000000e0 * t230 * t2696;
  t3039 = t262 * t2689;
  t3051 = -0.5000000000e0 * t1509 * t2992 + 0.1e1 * t30 * t2954 + 0.5000000000e0 * t1516 * t2956 + t1788 - 0.1e1 * t34 * t2966;
  t3057 = t166 * t2979 + t205 * t3051 + 0.1e1 * t2998 * t26 - 0.5000000000e0 * t230 * t2690;
  t3079 = -0.1000000000e1 * t488 * t2705 + 0.1000000000e1 * t2718 * t127 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t292 * t2721 + 0.1e1 * t29 * t2811 + 0.5000000000e0 * t296 * t2814 - t509 - 0.1e1 * t33 * t2833) - 0.1000000000e1 * t508 * t2705 + 0.1000000000e1 * t2851 * t150 + 0.1000000000e1 * t135 * (0.5000000000e0 * t282 * t2721 - 0.1e1 * t13 * t2811 - 0.5000000000e0 * t296 * t2858 + t971 + 0.1e1 * t33 * t2877) - 0.1000000000e1 * t525 * t2705 + 0.1000000000e1 * t2895 * t163 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t282 * t2814 + 0.1e1 * t13 * t2833 + 0.5000000000e0 * t292 * t2858 - 0.1e1 * t29 * t2877) - 0.1000000000e1 * t542 * t2705 + 0.1000000000e1 * t2718 * t248 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t2914 * t1509 + 0.1e1 * t30 * t3003 + 0.5000000000e0 * t1516 * t3006 + t1909 - 0.1e1 * t34 * t3024) - 0.1000000000e1 * t547 * t2705 + 0.1000000000e1 * t2851 * t265 + 0.1000000000e1 * t135 * (0.5000000000e0 * t1498 * t2914 - 0.1e1 * t26 * t3003 - 0.5000000000e0 * t1516 * t3039 - t2498 + 0.1e1 * t34 * t3057) - 0.1000000000e1 * t553 * t2705 + 0.1000000000e1 * t2895 * t272 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t1498 * t3006 + 0.1e1 * t26 * t3024 + 0.5000000000e0 * t1509 * t3039 - 0.1e1 * t30 * t3057);
  t3123 = 0.1000000000e1 * t572 * t2705 - 0.1000000000e1 * t2718 * t147 - 0.1000000000e1 * t44 * t2877 + 0.1000000000e1 * t579 * t2705 - 0.1000000000e1 * t2851 * t124 - 0.1000000000e1 * t135 * t2833 + 0.1000000000e1 * t587 * t2705 - 0.1000000000e1 * t2895 * t112 - 0.1000000000e1 * t158 * t2811 + 0.1000000000e1 * t597 * t2705 - 0.1000000000e1 * t2718 * t262 - 0.1000000000e1 * t44 * t3057 + 0.1000000000e1 * t605 * t2705 - 0.1000000000e1 * t2851 * t245 - 0.1000000000e1 * t135 * t3024 + 0.1000000000e1 * t612 * t2705 - 0.1000000000e1 * t2895 * t233 - 0.1000000000e1 * t158 * t3003;
  t3143 = (t134 * t2773 + t157 * t2761 + t2717 * t96 + t2786 * t43 + t2850 * t89 + t2894 * t82) * t38;
  t3148 = t134 * t2761 - t157 * t2773 - t2705 * t693 + t2705 * t96 + t2717 * t602 + t2786 * t594 + t2850 * t82 - t2894 * t89 + t3143 * t43;
  t3150 = t611 * t2689;
  t3163 = -t134 * t2786 + t157 * t3143 - t2705 * t704 + t2705 * t82 + t2717 * t89 + t2761 * t594 + t2773 * t43 - t2850 * t96 + t2894 * t602;
  t3166 = t618 * t2689;
  t3179 = t134 * t3143 + t157 * t2786 - t2705 * t715 + t2705 * t89 - t2717 * t82 - t2761 * t43 + t2773 * t594 + t2850 * t602 + t2894 * t96;
  t3184 = t604 * t2689;
  t3198 = (-0.5000000000e0 * t1498 * t3184 + 0.1e1 * t26 * t3148 - 0.5000000000e0 * t1509 * t3166 + 0.1e1 * t30 * t3179 - 0.5000000000e0 * t1516 * t3150 - t2054 + 0.1e1 * t34 * t3163) * t630;
  t3203 = t593 * t3148 + t606 * (-0.5000000000e0 * t1509 * t3150 + 0.1e1 * t30 * t3163 + 0.5000000000e0 * t1516 * t3166 + t2074 - 0.1e1 * t34 * t3179) + 0.1e1 * t3198 * t26 - 0.5000000000e0 * t631 * t2690;
  t3221 = t593 * t3179 + t606 * (0.5000000000e0 * t1498 * t3150 - 0.1e1 * t26 * t3163 - 0.5000000000e0 * t1516 * t3184 - t2028 + 0.1e1 * t34 * t3148) + 0.1e1 * t3198 * t30 - 0.5000000000e0 * t631 * t2696;
  t3239 = t593 * t3163 + t606 * (-0.5000000000e0 * t1498 * t3166 + 0.1e1 * t26 * t3179 + 0.5000000000e0 * t1509 * t3184 - 0.1e1 * t30 * t3148) + 0.1e1 * t3198 * t34 - 0.5000000000e0 * t631 * t2702 - t2046;
  t3259 = 0.2e1 * t39 - t283;
  t3260 = t1498 * t3259;
  t3263 = t1509 * t3259;
  t3266 = t1516 * t3259;
  t3269 = -0.5000000000e0 * t13 * t3260 + t1505 - 0.5000000000e0 * t29 * t3263 - 0.5000000000e0 * t33 * t3266;
  t3277 = -0.5000000000e0 * t29 * t3266 + 0.5000000000e0 * t33 * t3263;
  t3278 = t38 * t3277;
  t3288 = 0.5000000000e0 * t13 * t3266 - 0.5000000000e0 * t33 * t3260 + t1666;
  t3289 = t38 * t3288;
  t3299 = -0.5000000000e0 * t13 * t3263 + 0.5000000000e0 * t29 * t3260 - t1712;
  t3300 = t38 * t3299;
  t3308 = t233 * t3259;
  t3311 = t15 * t3259;
  t3314 = t18 * t3259;
  t3317 = t21 * t3259;
  t3320 = -0.5000000000e0 * t1736 * t3311 + t1740 - 0.5000000000e0 * t1741 * t3314 - 0.5000000000e0 * t1745 * t3317;
  t3326 = -0.5000000000e0 * t1741 * t3317 + 0.5000000000e0 * t1745 * t3314;
  t3332 = 0.5000000000e0 * t1736 * t3317 - 0.5000000000e0 * t1745 * t3311 + t1761;
  t3340 = -0.5000000000e0 * t1736 * t3314 + 0.5000000000e0 * t1741 * t3311 - t1770;
  t3343 = (t211 * t3326 + t213 * t3332 + t215 * t3340) * t200;
  t3348 = -t1596 * t3320 + t196 * t3343 + t201 * t3340 - t211 * t3332 + t213 * t3326 + t215 * t3320;
  t3350 = t210 * t3259;
  t3360 = -t1605 * t3320 + t188 * t3343 + t201 * t3332 + t211 * t3340 + t213 * t3320 - t215 * t3326;
  t3363 = t3259 * t217;
  t3373 = -t1612 * t3320 + t182 * t3343 + t201 * t3326 + t211 * t3320 - t213 * t3340 + t215 * t3332;
  t3376 = -0.5000000000e0 * t1498 * t3350 + t1788 + 0.1e1 * t26 * t3360 + 0.5000000000e0 * t1509 * t3363 - 0.1e1 * t30 * t3373;
  t3386 = t203 * t3259;
  t3392 = (-0.5000000000e0 * t1498 * t3363 + t1817 + 0.1e1 * t26 * t3373 - 0.5000000000e0 * t1509 * t3350 + 0.1e1 * t30 * t3360 - 0.5000000000e0 * t1516 * t3386 + 0.1e1 * t34 * t3348) * t229;
  t3397 = t166 * t3348 + t205 * t3376 + 0.1e1 * t3392 * t34 - 0.5000000000e0 * t230 * t3266;
  t3400 = t245 * t3259;
  t3412 = 0.5000000000e0 * t1498 * t3386 - t1845 - 0.1e1 * t26 * t3348 - 0.5000000000e0 * t1516 * t3363 + 0.1e1 * t34 * t3373;
  t3418 = t166 * t3360 + t205 * t3412 + 0.1e1 * t3392 * t30 - 0.5000000000e0 * t230 * t3263;
  t3433 = t262 * t3259;
  t3445 = -0.5000000000e0 * t1509 * t3386 + 0.1e1 * t30 * t3348 + 0.5000000000e0 * t1516 * t3350 - 0.1e1 * t34 * t3360;
  t3451 = t166 * t3373 + t205 * t3445 + 0.1e1 * t3392 * t26 - 0.5000000000e0 * t230 * t3260 + t1894;
  t3473 = -0.1000000000e1 * t488 * t3269 + 0.1000000000e1 * t3278 * t127 - 0.1000000000e1 * t508 * t3269 + 0.1000000000e1 * t3289 * t150 - 0.1000000000e1 * t525 * t3269 + 0.1000000000e1 * t3300 * t163 - 0.1000000000e1 * t542 * t3269 + 0.1000000000e1 * t3278 * t248 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t1509 * t3308 + 0.1e1 * t30 * t3397 + 0.5000000000e0 * t1516 * t3400 - 0.1e1 * t34 * t3418) - 0.1000000000e1 * t547 * t3269 + 0.1000000000e1 * t3289 * t265 + 0.1000000000e1 * t135 * (0.5000000000e0 * t1498 * t3308 - t1872 - 0.1e1 * t26 * t3397 - 0.5000000000e0 * t1516 * t3433 + 0.1e1 * t34 * t3451) - 0.1000000000e1 * t553 * t3269 + 0.1000000000e1 * t3300 * t272 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t1498 * t3400 + t1909 + 0.1e1 * t26 * t3418 + 0.5000000000e0 * t1509 * t3433 - 0.1e1 * t30 * t3451);
  t3511 = 0.1000000000e1 * t572 * t3269 - 0.1000000000e1 * t3278 * t147 + 0.1000000000e1 * t579 * t3269 - 0.1000000000e1 * t3289 * t124 + 0.1000000000e1 * t587 * t3269 - 0.1000000000e1 * t3300 * t112 + 0.1000000000e1 * t597 * t3269 - 0.1000000000e1 * t3278 * t262 - 0.1000000000e1 * t44 * t3451 + 0.1000000000e1 * t605 * t3269 - 0.1000000000e1 * t3289 * t245 - 0.1000000000e1 * t135 * t3418 + 0.1000000000e1 * t612 * t3269 - 0.1000000000e1 * t3300 * t233 - 0.1000000000e1 * t158 * t3397;
  t3525 = (t3277 * t96 + t3288 * t89 + t3299 * t82) * t38;
  t3530 = -t3269 * t693 + t3269 * t96 + t3277 * t602 + t3288 * t82 - t3299 * t89 + t3525 * t43;
  t3532 = t611 * t3259;
  t3542 = t157 * t3525 - t3269 * t704 + t3269 * t82 + t3277 * t89 - t3288 * t96 + t3299 * t602;
  t3545 = t618 * t3259;
  t3555 = t134 * t3525 - t3269 * t715 + t3269 * t89 - t3277 * t82 + t3288 * t602 + t3299 * t96;
  t3560 = t604 * t3259;
  t3574 = (-0.5000000000e0 * t1498 * t3560 + t2028 + 0.1e1 * t26 * t3530 - 0.5000000000e0 * t1509 * t3545 + 0.1e1 * t30 * t3555 - 0.5000000000e0 * t1516 * t3532 + 0.1e1 * t34 * t3542) * t630;
  t3579 = t593 * t3530 + t606 * (-0.5000000000e0 * t1509 * t3532 + 0.1e1 * t30 * t3542 + 0.5000000000e0 * t1516 * t3545 - 0.1e1 * t34 * t3555) + 0.1e1 * t3574 * t26 - 0.5000000000e0 * t631 * t3260 + t2046;
  t3597 = t593 * t3555 + t606 * (0.5000000000e0 * t1498 * t3532 - t2054 - 0.1e1 * t26 * t3542 - 0.5000000000e0 * t1516 * t3560 + 0.1e1 * t34 * t3530) + 0.1e1 * t3574 * t30 - 0.5000000000e0 * t631 * t3263;
  t3615 = t593 * t3542 + t606 * (-0.5000000000e0 * t1498 * t3545 + t2074 + 0.1e1 * t26 * t3555 + 0.5000000000e0 * t1509 * t3560 - 0.1e1 * t30 * t3530) + 0.1e1 * t3574 * t34 - 0.5000000000e0 * t631 * t3266;
  t3635 = 0.2e1 * t41 - t771;
  t3636 = t1498 * t3635;
  t3639 = t1509 * t3635;
  t3642 = t1516 * t3635;
  t3645 = -0.5000000000e0 * t13 * t3636 - 0.5000000000e0 * t29 * t3639 + t1712 - 0.5000000000e0 * t33 * t3642;
  t3653 = -0.5000000000e0 * t29 * t3642 + 0.5000000000e0 * t33 * t3639 - t1666;
  t3654 = t38 * t3653;
  t3664 = 0.5000000000e0 * t13 * t3642 - 0.5000000000e0 * t33 * t3636;
  t3665 = t38 * t3664;
  t3675 = -0.5000000000e0 * t13 * t3639 + t1505 + 0.5000000000e0 * t29 * t3636;
  t3676 = t38 * t3675;
  t3684 = t233 * t3635;
  t3687 = t15 * t3635;
  t3690 = t18 * t3635;
  t3693 = t21 * t3635;
  t3696 = -0.5000000000e0 * t1736 * t3687 - 0.5000000000e0 * t1741 * t3690 + t1770 - 0.5000000000e0 * t1745 * t3693;
  t3702 = -0.5000000000e0 * t1741 * t3693 + 0.5000000000e0 * t1745 * t3690 - t1761;
  t3708 = 0.5000000000e0 * t1736 * t3693 - 0.5000000000e0 * t1745 * t3687;
  t3716 = -0.5000000000e0 * t1736 * t3690 + t1740 + 0.5000000000e0 * t1741 * t3687;
  t3719 = (t211 * t3702 + t213 * t3708 + t215 * t3716) * t200;
  t3724 = -t1596 * t3696 + t196 * t3719 + t201 * t3716 - t211 * t3708 + t213 * t3702 + t215 * t3696;
  t3726 = t210 * t3635;
  t3736 = -t1605 * t3696 + t188 * t3719 + t201 * t3708 + t211 * t3716 + t213 * t3696 - t215 * t3702;
  t3739 = t217 * t3635;
  t3749 = -t1612 * t3696 + t182 * t3719 + t201 * t3702 + t211 * t3696 - t213 * t3716 + t215 * t3708;
  t3752 = -0.5000000000e0 * t1498 * t3726 + 0.1e1 * t26 * t3736 + 0.5000000000e0 * t1509 * t3739 - t1817 - 0.1e1 * t30 * t3749;
  t3762 = t203 * t3635;
  t3768 = (-0.5000000000e0 * t1498 * t3739 + 0.1e1 * t26 * t3749 - 0.5000000000e0 * t1509 * t3726 + t1788 + 0.1e1 * t30 * t3736 - 0.5000000000e0 * t1516 * t3762 + 0.1e1 * t34 * t3724) * t229;
  t3773 = t166 * t3724 + t205 * t3752 + 0.1e1 * t3768 * t34 - 0.5000000000e0 * t230 * t3642;
  t3776 = t245 * t3635;
  t3788 = 0.5000000000e0 * t1498 * t3762 - 0.1e1 * t26 * t3724 - 0.5000000000e0 * t1516 * t3739 + 0.1e1 * t34 * t3749;
  t3794 = t166 * t3736 + t205 * t3788 + 0.1e1 * t3768 * t30 - 0.5000000000e0 * t230 * t3639 + t1894;
  t3809 = t262 * t3635;
  t3821 = -0.5000000000e0 * t1509 * t3762 + t1845 + 0.1e1 * t30 * t3724 + 0.5000000000e0 * t1516 * t3726 - 0.1e1 * t34 * t3736;
  t3827 = t166 * t3749 + t205 * t3821 + 0.1e1 * t3768 * t26 - 0.5000000000e0 * t230 * t3636;
  t3849 = -0.1000000000e1 * t488 * t3645 + 0.1000000000e1 * t3654 * t127 - 0.1000000000e1 * t508 * t3645 + 0.1000000000e1 * t3665 * t150 - 0.1000000000e1 * t525 * t3645 + 0.1000000000e1 * t3676 * t163 - 0.1000000000e1 * t542 * t3645 + 0.1000000000e1 * t3654 * t248 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t1509 * t3684 + t1872 + 0.1e1 * t30 * t3773 + 0.5000000000e0 * t1516 * t3776 - 0.1e1 * t34 * t3794) - 0.1000000000e1 * t547 * t3645 + 0.1000000000e1 * t3665 * t265 + 0.1000000000e1 * t135 * (0.5000000000e0 * t1498 * t3684 - 0.1e1 * t26 * t3773 - 0.5000000000e0 * t1516 * t3809 + 0.1e1 * t34 * t3827) - 0.1000000000e1 * t553 * t3645 + 0.1000000000e1 * t3676 * t272 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t1498 * t3776 + 0.1e1 * t26 * t3794 + 0.5000000000e0 * t1509 * t3809 - t2498 - 0.1e1 * t30 * t3827);
  t3887 = 0.1000000000e1 * t572 * t3645 - 0.1000000000e1 * t3654 * t147 + 0.1000000000e1 * t579 * t3645 - 0.1000000000e1 * t3665 * t124 + 0.1000000000e1 * t587 * t3645 - 0.1000000000e1 * t3676 * t112 + 0.1000000000e1 * t597 * t3645 - 0.1000000000e1 * t3654 * t262 - 0.1000000000e1 * t44 * t3827 + 0.1000000000e1 * t605 * t3645 - 0.1000000000e1 * t3665 * t245 - 0.1000000000e1 * t135 * t3794 + 0.1000000000e1 * t612 * t3645 - 0.1000000000e1 * t3676 * t233 - 0.1000000000e1 * t158 * t3773;
  t3901 = (t3653 * t96 + t3664 * t89 + t3675 * t82) * t38;
  t3906 = -t3645 * t693 + t3645 * t96 + t3653 * t602 + t3664 * t82 - t3675 * t89 + t3901 * t43;
  t3908 = t611 * t3635;
  t3918 = t157 * t3901 - t3645 * t704 + t3645 * t82 + t3653 * t89 - t3664 * t96 + t3675 * t602;
  t3921 = t618 * t3635;
  t3931 = t134 * t3901 - t3645 * t715 + t3645 * t89 - t3653 * t82 + t3664 * t602 + t3675 * t96;
  t3936 = t604 * t3635;
  t3950 = (-0.5000000000e0 * t1498 * t3936 + 0.1e1 * t26 * t3906 - 0.5000000000e0 * t1509 * t3921 + t2074 + 0.1e1 * t30 * t3931 - 0.5000000000e0 * t1516 * t3908 + 0.1e1 * t34 * t3918) * t630;
  t3955 = t593 * t3906 + t606 * (-0.5000000000e0 * t1509 * t3908 + t2054 + 0.1e1 * t30 * t3918 + 0.5000000000e0 * t1516 * t3921 - 0.1e1 * t34 * t3931) + 0.1e1 * t3950 * t26 - 0.5000000000e0 * t631 * t3636;
  t3973 = t593 * t3931 + t606 * (0.5000000000e0 * t1498 * t3908 - 0.1e1 * t26 * t3918 - 0.5000000000e0 * t1516 * t3936 + 0.1e1 * t34 * t3906) + 0.1e1 * t3950 * t30 - 0.5000000000e0 * t631 * t3639 + t2046;
  t3991 = t593 * t3918 + t606 * (-0.5000000000e0 * t1498 * t3921 + 0.1e1 * t26 * t3931 + 0.5000000000e0 * t1509 * t3936 - t2028 - 0.1e1 * t30 * t3906) + 0.1e1 * t3950 * t34 - 0.5000000000e0 * t631 * t3642;
  t4011 = 0.2e1 * t47 - t1132;
  t4012 = t1498 * t4011;
  t4015 = t1509 * t4011;
  t4018 = t1516 * t4011;
  t4021 = -0.5000000000e0 * t13 * t4012 - 0.5000000000e0 * t29 * t4015 - 0.5000000000e0 * t33 * t4018 + t1666;
  t4029 = -0.5000000000e0 * t29 * t4018 + t1712 + 0.5000000000e0 * t33 * t4015;
  t4030 = t38 * t4029;
  t4040 = 0.5000000000e0 * t13 * t4018 - t1505 - 0.5000000000e0 * t33 * t4012;
  t4041 = t38 * t4040;
  t4051 = -0.5000000000e0 * t13 * t4015 + 0.5000000000e0 * t29 * t4012;
  t4052 = t38 * t4051;
  t4060 = t233 * t4011;
  t4063 = t15 * t4011;
  t4066 = t18 * t4011;
  t4069 = t21 * t4011;
  t4072 = -0.5000000000e0 * t1736 * t4063 - 0.5000000000e0 * t1741 * t4066 - 0.5000000000e0 * t1745 * t4069 + t1761;
  t4078 = -0.5000000000e0 * t1741 * t4069 + t1770 + 0.5000000000e0 * t1745 * t4066;
  t4084 = 0.5000000000e0 * t1736 * t4069 - t1740 - 0.5000000000e0 * t1745 * t4063;
  t4092 = -0.5000000000e0 * t1736 * t4066 + 0.5000000000e0 * t1741 * t4063;
  t4095 = (t211 * t4078 + t213 * t4084 + t215 * t4092) * t200;
  t4100 = -t1596 * t4072 + t196 * t4095 + t201 * t4092 - t211 * t4084 + t213 * t4078 + t215 * t4072;
  t4102 = t210 * t4011;
  t4112 = -t1605 * t4072 + t188 * t4095 + t201 * t4084 + t211 * t4092 + t213 * t4072 - t215 * t4078;
  t4115 = t217 * t4011;
  t4125 = -t1612 * t4072 + t182 * t4095 + t201 * t4078 + t211 * t4072 - t213 * t4092 + t215 * t4084;
  t4128 = -0.5000000000e0 * t1498 * t4102 + 0.1e1 * t26 * t4112 + 0.5000000000e0 * t1509 * t4115 - 0.1e1 * t30 * t4125;
  t4138 = t203 * t4011;
  t4144 = (-0.5000000000e0 * t1498 * t4115 + 0.1e1 * t26 * t4125 - 0.5000000000e0 * t1509 * t4102 + 0.1e1 * t30 * t4112 - 0.5000000000e0 * t1516 * t4138 + t1845 + 0.1e1 * t34 * t4100) * t229;
  t4149 = t166 * t4100 + t205 * t4128 + 0.1e1 * t4144 * t34 - 0.5000000000e0 * t230 * t4018 + t1894;
  t4152 = t245 * t4011;
  t4164 = 0.5000000000e0 * t1498 * t4138 - 0.1e1 * t26 * t4100 - 0.5000000000e0 * t1516 * t4115 + t1817 + 0.1e1 * t34 * t4125;
  t4170 = t166 * t4112 + t205 * t4164 + 0.1e1 * t4144 * t30 - 0.5000000000e0 * t230 * t4015;
  t4185 = t262 * t4011;
  t4197 = -0.5000000000e0 * t1509 * t4138 + 0.1e1 * t30 * t4100 + 0.5000000000e0 * t1516 * t4102 - t1788 - 0.1e1 * t34 * t4112;
  t4203 = t166 * t4125 + t205 * t4197 + 0.1e1 * t4144 * t26 - 0.5000000000e0 * t230 * t4012;
  t4225 = -0.1000000000e1 * t488 * t4021 + 0.1000000000e1 * t4030 * t127 - 0.1000000000e1 * t508 * t4021 + 0.1000000000e1 * t4041 * t150 - 0.1000000000e1 * t525 * t4021 + 0.1000000000e1 * t4052 * t163 - 0.1000000000e1 * t542 * t4021 + 0.1000000000e1 * t4030 * t248 + 0.1000000000e1 * t44 * (-0.5000000000e0 * t1509 * t4060 + 0.1e1 * t30 * t4149 + 0.5000000000e0 * t1516 * t4152 - t1909 - 0.1e1 * t34 * t4170) - 0.1000000000e1 * t547 * t4021 + 0.1000000000e1 * t4041 * t265 + 0.1000000000e1 * t135 * (0.5000000000e0 * t1498 * t4060 - 0.1e1 * t26 * t4149 - 0.5000000000e0 * t1516 * t4185 + t2498 + 0.1e1 * t34 * t4203) - 0.1000000000e1 * t553 * t4021 + 0.1000000000e1 * t4052 * t272 + 0.1000000000e1 * t158 * (-0.5000000000e0 * t1498 * t4152 + 0.1e1 * t26 * t4170 + 0.5000000000e0 * t1509 * t4185 - 0.1e1 * t30 * t4203);
  t4263 = 0.1000000000e1 * t572 * t4021 - 0.1000000000e1 * t4030 * t147 + 0.1000000000e1 * t579 * t4021 - 0.1000000000e1 * t4041 * t124 + 0.1000000000e1 * t587 * t4021 - 0.1000000000e1 * t4052 * t112 + 0.1000000000e1 * t597 * t4021 - 0.1000000000e1 * t4030 * t262 - 0.1000000000e1 * t44 * t4203 + 0.1000000000e1 * t605 * t4021 - 0.1000000000e1 * t4041 * t245 - 0.1000000000e1 * t135 * t4170 + 0.1000000000e1 * t612 * t4021 - 0.1000000000e1 * t4052 * t233 - 0.1000000000e1 * t158 * t4149;
  t4277 = (t4029 * t96 + t4040 * t89 + t4051 * t82) * t38;
  t4282 = -t4021 * t693 + t4021 * t96 + t4029 * t602 + t4040 * t82 - t4051 * t89 + t4277 * t43;
  t4284 = t611 * t4011;
  t4294 = t157 * t4277 - t4021 * t704 + t4021 * t82 + t4029 * t89 - t4040 * t96 + t4051 * t602;
  t4297 = t618 * t4011;
  t4307 = t134 * t4277 - t4021 * t715 + t4021 * t89 - t4029 * t82 + t4040 * t602 + t4051 * t96;
  t4312 = t604 * t4011;
  t4326 = (-0.5000000000e0 * t1498 * t4312 + 0.1e1 * t26 * t4282 - 0.5000000000e0 * t1509 * t4297 + 0.1e1 * t30 * t4307 - 0.5000000000e0 * t1516 * t4284 + t2054 + 0.1e1 * t34 * t4294) * t630;
  t4331 = t593 * t4282 + t606 * (-0.5000000000e0 * t1509 * t4284 + 0.1e1 * t30 * t4294 + 0.5000000000e0 * t1516 * t4297 - t2074 - 0.1e1 * t34 * t4307) + 0.1e1 * t4326 * t26 - 0.5000000000e0 * t631 * t4012;
  t4349 = t593 * t4307 + t606 * (0.5000000000e0 * t1498 * t4284 - 0.1e1 * t26 * t4294 - 0.5000000000e0 * t1516 * t4312 + t2028 + 0.1e1 * t34 * t4282) + 0.1e1 * t4326 * t30 - 0.5000000000e0 * t631 * t4015;
  t4367 = t593 * t4294 + t606 * (-0.5000000000e0 * t1498 * t4297 + 0.1e1 * t26 * t4307 + 0.5000000000e0 * t1509 * t4312 - 0.1e1 * t30 * t4282) + 0.1e1 * t4326 * t34 - 0.5000000000e0 * t631 * t4018 + t2046;
  t4388 = t107 * t84;
  t4391 = -t84 * t82 + t45 * t99 + 0.1e1 * t4388 * t33;
  t4398 = -t84 * t89 + t45 * t120 + 0.1e1 * t4388 * t29;
  t4410 = -t84 * t96 + t45 * t143 + 0.1e1 * t4388 * t13;
  t3964 = twistStiffness * (theta2 - theta1 + referenceFrameTwist - t663 - referenceTwist) * t590;
  t4438 = 0.1000000000e1 * t3964;
  t4442 = t228 * t205;
  t4445 = -t203 * t205 + t166 * t220 + 0.1e1 * t4442 * t34;
  t4452 = -t205 * t210 + t166 * t241 + 0.1e1 * t4442 * t30;
  t4464 = -t205 * t217 + t166 * t258 + 0.1e1 * t4442 * t26;
  energyGradienti[0] = 0.1000000000e1 * bendingStiffness * (t276 * t534 + t549 * t586) * t590 + 0.1000000000e1 * t3964 * (-(t220 * t747 + t241 * t736 + t258 * t725) * t750 * t757 + (t203 * t747 + t210 * t736 + t217 * t725) * t658 * t764);
  energyGradienti[1] = 0.1000000000e1 * bendingStiffness * (t1030 * t549 + t276 * t992) * t590 + 0.1000000000e1 * t3964 * (-(t1094 * t258 + t1105 * t241 + t1116 * t220) * t750 * t757 + (t1094 * t217 + t1105 * t210 + t1116 * t203) * t658 * t764);
  energyGradienti[2] = 0.1000000000e1 * bendingStiffness * (t1351 * t276 + t1389 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t1453 * t258 + t1464 * t241 + t1475 * t220) * t750 * t757 + (t1453 * t217 + t1464 * t210 + t1475 * t203) * t658 * t764);
  energyGradienti[3] = 0.1000000000e1 * bendingStiffness * (t1919 * t276 + t1963 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t1812 * t656 + t1852 * t645 + t1887 * t634 + t2047 * t258 + t2067 * t241 + t2087 * t220) * t750 * t757 + (t1782 * t656 + t1796 * t645 + t1809 * t634 + t203 * t2087 + t2047 * t217 + t2067 * t210) * t658 * t764);
  energyGradienti[4] = 0.1000000000e1 * bendingStiffness * (t2504 * t276 + t2548 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t220 * t2664 + t2405 * t656 + t241 * t2646 + t2441 * t645 + t2474 * t634 + t258 * t2628) * t750 * t757 + (t203 * t2664 + t210 * t2646 + t217 * t2628 + t2377 * t656 + t2389 * t645 + t2402 * t634) * t658 * t764);
  energyGradienti[5] = 0.1000000000e1 * bendingStiffness * (t276 * t3079 + t3123 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t220 * t3239 + t241 * t3221 + t258 * t3203 + t2982 * t656 + t3018 * t645 + t3051 * t634) * t750 * t757 + (t203 * t3239 + t210 * t3221 + t217 * t3203 + t2954 * t656 + t2966 * t645 + t2979 * t634) * t658 * t764);
  energyGradienti[6] = 0.1000000000e1 * bendingStiffness * (t276 * t3473 + t3511 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t220 * t3615 + t241 * t3597 + t258 * t3579 + t3376 * t656 + t3412 * t645 + t3445 * t634) * t750 * t757 + (t203 * t3615 + t210 * t3597 + t217 * t3579 + t3348 * t656 + t3360 * t645 + t3373 * t634) * t658 * t764);
  energyGradienti[7] = 0.1000000000e1 * bendingStiffness * (t276 * t3849 + t3887 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t220 * t3991 + t241 * t3973 + t258 * t3955 + t3752 * t656 + t3788 * t645 + t3821 * t634) * t750 * t757 + (t203 * t3991 + t210 * t3973 + t217 * t3955 + t3724 * t656 + t3736 * t645 + t3749 * t634) * t658 * t764);
  energyGradienti[8] = 0.1000000000e1 * bendingStiffness * (t276 * t4225 + t4263 * t549) * t590 + 0.1000000000e1 * t3964 * (-(t220 * t4367 + t241 * t4349 + t258 * t4331 + t4128 * t656 + t4164 * t645 + t4197 * t634) * t750 * t757 + (t203 * t4367 + t210 * t4349 + t217 * t4331 + t4100 * t656 + t4112 * t645 + t4125 * t634) * t658 * t764);
  energyGradienti[9] = 0.1000000000e1 * bendingStiffness * (t276 * (0.1000000000e1 * t44 * (0.1e1 * t29 * t4391 - 0.1e1 * t33 * t4398) + 0.1000000000e1 * t135 * (-0.1e1 * t13 * t4391 + 0.1e1 * t33 * t4410) + 0.1000000000e1 * t158 * (0.1e1 * t4398 * t13 - 0.1e1 * t29 * t4410)) + t549 * (-0.1000000000e1 * t44 * t4410 - 0.1000000000e1 * t135 * t4398 - 0.1000000000e1 * t158 * t4391)) * t590 - t4438;
  energyGradienti[10] = 0.1000000000e1 * bendingStiffness * (t276 * (0.1000000000e1 * t44 * (0.1e1 * t30 * t4445 - 0.1e1 * t34 * t4452) + 0.1000000000e1 * t135 * (-0.1e1 * t26 * t4445 + 0.1e1 * t34 * t4464) + 0.1000000000e1 * t158 * (0.1e1 * t26 * t4452 - 0.1e1 * t30 * t4464)) + t549 * (-0.1000000000e1 * t44 * t4464 - 0.1000000000e1 * t135 * t4452 - 0.1000000000e1 * t158 * t4445)) * t590 + t4438;
}
